/*****************************************************************************
 * 
 *  jsMath: Mathematics on the Web
 *  
 *  This jsMath package makes it possible to display mathematics in HTML pages
 *  that are viewable by a wide range of browsers on both the Mac and the IBM PC,
 *  including browsers that don't process MathML.  See
 *  
 *            http://www.math.union.edu/locate/jsMath
 *
 *  for the latest version, and for documentation on how to use jsMath.
 *
 *  Copyright 2004-2005 by Davide P. Cervone
 * 
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 * 
 *      http://www.apache.org/licenses/LICENSE-2.0
 * 
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 *  
 *****************************************************************************/

if (!window.jsMath) {jsMath = {}}
if (!jsMath.Script) {jsMath.Script = {}}

jsMath.Script.Uncompress = function (data) {
  for (var k = 0; k <  data.length; k++) {
    var d = data[k]; var n = d.length;
    for (var i = 0; i < n; i++) {if (typeof(d[i]) == 'number') {d[i] = d[d[i]]}}
    data[k] = d.join('');
  }
  window.eval(data.join(''));
}

//start = new Date().getTime();
jsMath.Script.Uncompress([
  ['if(!','window.','jsMath','||!',1,'jsMath.','loaded','){if(',1,'parent','&&',1,9,'.',2,'){',2,'=',1,9,'.',2,';}var ','jsMath_old','=',1,2,';','function',' ','ShowObject(_1',',_2){var s="";',0,'_2){_2="";}','for(var ','i in ','_1',7,'_1[i]!=null){','if(typeof (','_1[i','])=="object','"){s+=_2+i','+": {\\n"+',30,'[i],_2+"  ")+_2+"}\\n";}else{',39,'_1[i])!="',28,42,'+": "+_1[i]+"\\n";}}}}return s;}',0,'document.','getElementById','||!',52,'childNodes||!',52,'createElement','){alert("','The mathematics on this page requires W3C DOM support in its JavaScript. "+"Unfortunately, your browser doesn\'t seem to have this.");}else{',2,'={version:"3.1a",document:document,window:window,blank:"blank.gif",','sizes',':[50,60,70,85,100,120,144,173,207,249],styles:{".math','":"font-family: serif; font-style: normal; font-weight: normal','",".typeset',65,'","div.typeset','":"text-align: ','center; margin: 1em 0px;","span.typeset',69,'left',66,' span',69,'left','",".typeset .','normal',65,77,'size0','":"font-size: ','50','%",".typeset .','size1',82,'60',84,'size2',82,'70',84,'size3',82,'85',84,'size4',82,'100',84,'size5',82,'120',84,'size6',82,'144',84,'size7',82,'173',84,'size8',82,'207',84,'size9',82,'249',84,'cmr10','":"font-family: jsMath-',121,', serif',77,'cmbx10',122,126,', ',2,'-cmr10',77,'cmti10',122,133,', ',2,131,77,'cmmi10',122,140,77,'cmsy10',122,144,77,'cmex10',122,148,77,'link":"','text-decoration',': none',77,'HD":"border-width:0px; width: 1px; margin-right: -1px',77,'error',82,'10pt; font-style: italic; "+"','background-color',': #FFFFCC','; padding: ','1px; "+"','border: 1px solid #CC0000","#jsMath_message','":"position:fixed; bottom:','1px; left:2px; ',161,':#E6E6E6','; "+"border: solid 1px #959595; margin:0px; padding: ','1px 8px','; "+"z-index:102; color',': black','; font-size:small; width:auto;","#','jsMath_panel',166,'1.5em; right:1.5em',163,'10px 20px','; "+"',161,':#DDDDDD; border: outset ','2px; "+"z-index:103; width:auto;","#jsMath_button',166,'1px; right:2px; ',161,':white',170,'0px 3px 1px 3px',172,':black; ',153,':none','; font-size',':x-small; "+"','width:auto; cursor:pointer; cursor:hand',';","#jsMath_float','":"','position:absolute','; top:0px; left:0px; max-width:80%; "+"z-index:101; ','width:auto; height:auto',197,' .drag":"',161,182,'1px; height:12px',194,': 1px',197,' .close":"',161,169,'; border: ','inset 1px; width:8px; height:8px; margin: 1px 2px',197,' .source":"',161,':#E2E2E2',213,'outset ',164,201,163,'8px 15px; "+"','font-family',': courier, fixed',194,': 90%","#','jsMath_noFont',69,'center',163,179,213,'3px solid #DD0000; "+"',161,': #FFF8F8; color: #AA0000',174,229,' .link":"padding: 0px 5px 2px 5px',213,'2px outset; ',161,':#E8E8E8; "+"color:black',194,':80%; ',196,';"},Element',':function(','_5){return ',5,52,53,'("jsMath_"+_5);},BBoxFor',249,'s','){this.','hidden.innerHTML','="<nobr><span class=\\"typeset\\"><span class=\\"scale\\">"+s+"</span></span></nobr>";var _7={w:this.','hidden','.offsetWidth',',h:this.',260,'.offsetHeight','};this.',258,'="";return _7;},EmBoxFor',249,'s){var _9','=this.BBoxFor','(s);return {w:_9.w/this.em,h:_9','.h/this.em};},','EmBoxForItalics',249,'s){var _b',270,'(s);if(s.match(/<i>|class=\\"icm/i)){_b.w',270,'(s+',5,'Browser.','italicString',').w-',5,281,'italicCorrection',';}return {w:_b.w/this.em,h:_b',272,'Init',':function(){','if(',5,'Setup.inited','!=1',7,5,293,59,'It looks like ',2,' failed to set up properly (error code "+',5,293,'+").  "+"I\'ll will try to keep going, but it could get ugly.");',5,293,'=1',';}else{','alert("You must call ',5,'Setup.','Body() explicitly when ',2,' is"+"',6,' as part of the <HEAD> section");}',5,311,'Body();}this.em',270,'("<img src=\\""+',5,'blank+"\\" style=\\"','width:10em; height:1em\\" />").w/10;if(',5,281,282,'){',5,281,286,'=',5,'BBoxFor(',5,281,282,').w;}if(',5,'Browser.hiddenSpace','!=""){',5,281,'spaceWidth=this.EmBoxFor(',5,340,'+',5,340,'+',5,340,'+',5,340,'+',5,340,').w/5;}var bb',270,'("x");var h=bb.h;var d',270,'("x<img src=\\""+',5,'blank+"\\" ','height=\\""+(h*',5,281,'imgScale',')+"\\" width=\\"1\\" />").h-h;this.h=(h-d)/this.em;this.d=d/this.em;this.hd=this.h+this.d;this.xWidth=bb.w;this.',311,'TeXfonts','();var _f=this.','EmBoxFor("<span class','=\\"',121,'\\">M</span>").w/2;this.TeX.M_height=_f*(26/14);this.TeX.h=this.h;this.TeX.d=this.d;this.TeX.hd=this.hd;this.Img.Scale();',0,'this.initialized',257,311,'Sizes','();this.','Img.UpdateFonts();}this.p_height=(this.','TeX.cmex10[','0].h+this.',385,'0].d)/0.85;',379,'=1;},ReInit',290,'var w',270,'("x").w;if(w!=this.xWidth',257,'Init();}},Loaded',290,'if(',23,'){var _11=["Process","ProcessBeforeShowing","ConvertTeX","ConvertTeX2","ConvertLaTeX","ConvertCustom","CustomSearch","Synchronize","Macro","document"];','for(var i=0;i<','_11','.length;','i++){if(',23,'[_11[i]]){',23,'[_11[i]]=null;}}}if(',23,'){this.Insert(',2,',',23,');}',23,'=null;',5,6,'=1;},Add',249,'dst,src){',34,'id in src){','dst[id]=src[id','];}},Insert',249,'dst,src){',34,423,'if(dst[id]&&typeof (src[id',41,'"&&(','typeof (dst[id])=="','object"||',433,28,'")){this.Insert(dst[id],src[id]);}else{',424,'];}}},Package',249,'obj,def',410,'obj.prototype,def);}};',5,'Script={request:null,Init',290,'if(!(',5,'Controls.cookie','.asynch&&',5,449,'.progress',')){if(',1,'XMLHttpRequest','){','this.request','=new ',456,308,'if(',1,'ActiveXObject','){try{',458,'=new ',464,'("Microsoft.XMLHTTP");}catch(err){}}}}',0,458,'||',5,311,'domainChanged',257,'Load=this.delayedLoad;this.needsBody=1;}},Load',249,'url,_1c',7,'_1c){',5,'Message.Set("Loading "+url);',5,'Script.','Delay(1);',5,'Script.Push(','this,"xmlRequest",url',');',5,488,5,'Message',',"Clear");}else{',5,488,489,');}},','xmlRequest',249,'url){','this.debug("',500,': "+url);','try{',458,'.open("GET",url,false);',458,'.send(null);}catch(err','){throw "jsMath can\'t load the file \'"+url+"\'\\n"+"',494,': "+err.message;}if(',458,'.status','&&',458,515,'>=400',511,'Error status: "+',458,515,';}this.','Start();','this.blocking','=1;',5,1,'eval(',458,'.responseText);this.End();','this.blocking=0;this.Process','();},cancelTimeout:30*1000,iframe:null,blocking:0,cancelTimer:null,needsBody:0,queue:[],queueAt:0,Synchronize',249,'_1e,_1f){',39,'_1e)!="string"){',5,488,'null,_1e,_1f',');}else{',5,488,5,'window,"eval",_1e);}},Push',249,'_20,_21,_22){',503,'Pushing: "+_21+" at "+','this.queueAt',');this.queue=[].concat(','this.queue.slice(','0,',551,'),[[_20,_21,_22]],',553,551,'));',551,'++;if(!(',526,'||(this.needsBody&&!',5,52,'body','))){this.Process();}},Process',290,'while(','this.queue.length','&&!',526,257,525,'var _23=this.queue[0];this.queue=',553,'1);var _24=_23[0];var _25=_23[1];var _26=_23[2];',503,'Calling: "+_25);if(_24){_24[_25](_26',542,'if(_25){_25(_26);}}',503,'Done:    "+_25);}this.End();},Start',290,551,'=0;},End',290,551,'=',570,';},delayedLoad',249,'url){',503,'Loading',505,'this.Push(this,"startLoad",url);},startLoad',249,'url){','this.iframe','=',5,52,58,'("iframe");','this.iframe.style.','visibility="',260,'";',606,'position="absolute";',606,'width="0px";',606,'height="0px";if(',5,52,'body.firstChild','){',5,52,'body.insertBefore(',600,',',5,52,618,542,5,52,566,'.appendChild(',600,');}',526,'=1;this.','url=url;',0,'url.match(/\\.js$/)){',600,'.src=url',308,600,'.src=',5,'root+"',2,'-loader.html";}if(url.substr(0,',5,'root.length',')==',5,'root){url=url.substr(',5,650,');}',5,483,503,'Starting',505,'this.cancelTimer','=setTimeout("',5,485,'cancelLoad','()",this.cancelTimeout);},endLoad',249,'_29){',503,'Ending: "+this.url);if(',662,'){clearTimeout(',662,');',662,'=null;}',5,494,'.Clear();if(_29!="cancel"){',533,'();}},',666,290,662,416,5,494,'.Set("Can\'t load file");this.endLoad("cancel");},Delay',249,'_2a){',526,'=1;setTimeout("',5,485,'endDelay()",_2a);},endDelay',290,533,'();},Uncompress',249,'_2b){',34,'k=0;k<_2b',403,'k++){var d=_2b[k];var n=d',403,401,'n;i++){',39,'d[i])=="number"){d[i]=d[d[i]];}}_2b[k]=d.join("");}',1,'eval(_2b.join(""));},debug',249,'_30){}};',5,494,'={blank:null,message:null,text:null,clear:null,Init',290,0,5,52,566,'||!',5,449,453,'){return;}','if(',5,311,'stylesReady){','this.message','=',5,'Setup.DIV("message",{visibility:"hidden','"});}else{',732,'=',5,735,'",position:"absolute",','bottom:"1px",left:"2px",','backgroundColor',':"#E6E6E6",border:"solid 1px #959595",margin:"0px",padding:"1px 8px",zIndex:102,color:"black",fontSize:"small",width:"auto"});}this.text=',5,52,'createTextNode("");',732,632,'this.text);',732,'.onmousedown=',5,'Translate.Cancel;},Set',249,'_31,_32){','if(this.clear){clearTimeout(this.clear',');','this.clear',677,'if(',5,449,453,'){',0,'this.text){','this.','Init();',0,767,'return;}}if(',5,281,'textNodeBug','){',732,'.innerHTML','=_31',308,'this.text.nodeValue','=_31;}',732,'.style.visibility="','visible";if(_32){',732,'.style.cursor','="pointer";',0,732,787,'){',732,787,'="hand";}',732,'.title=" Cancel Processing of Math ";}else{',732,787,';',732,'.title="";}}else{if(_31.substr(0,8)!="Loading "){',5,1,'status=_31;}}},Clear',290,757,');}',759,'=setTimeout("',5,494,'.doClear()",1000);},doClear',290,'if(',759,'){',759,416,5,1,'status="";if(',767,781,'="";}if(',732,'){',732,784,260,'";}}},Blank',290,'if(','this.blank','||!',5,52,566,727,834,'=',5,311,'DIV("blank",{position:(',5,281,'msiePositionFixedBug','?"absolute":"fixed"),top:"0px",left:"0px",bottom:"0px",right:"0px",zIndex:101,',743,':"white"});if(',5,281,'msieBlankBug','){',834,778,'="&nbsp;";',834,'.style.width="110%";',834,'.style.height="110%";}},UnBlank',290,'if(',834,'){',5,52,566,'.removeChild(',834,');}',834,'=null;}};',5,'Setup={',6,':[],DIV',249,'id,_34){var div=',5,52,58,'("div");div.id="jsMath_"+id;',34,35,'_34){div.style[i]=_34[i];}',0,5,52,566,'.hasChildNodes){',5,52,566,632,'div',542,5,52,622,'div,',5,52,618,');}return div;},Script',249,'_37,_38',7,'this.loaded[_37',']){return',308,909,']=1;}',0,'_37.match("^([a-zA-Z]+:/)?/")){_37=',5,'root+_37;}',5,485,'Load(_37,_38);},Hidden',290,5,260,'=this.DIV("Hidden",{visibility:"',260,741,'top:0,left:0,border:0,padding:0,margin:0});',5,'hiddenTop=',5,260,';return;},Source',290,'if(',5,'Autoload&&',5,'Autoload.root','){',5,'root=',5,938,308,5,'root="";var _39=',5,52,'getElementsByTagName("','script");if(_39){',401,'_39',403,'i++){var ','src=_39[i].src;if(src&&src.match("(^|/)',5,'js$")){',5,'root=src.replace','(/',5,'js$/,"");',0,5,'root.match','(/^[a-z]+:/i)){src','=new String(',5,52,'location);',5,959,'(new RegExp("[^/]*$"),"")+',5,'root;',569,5,965,'("/[^/]*/../")){',5,941,5,'root.replace(new RegExp("/[^/]*/../"),"/");}}i=_39.length;}}}}',5,'Img.',941,5,646,'fonts/";',5,'blank=',5,'root+',5,'blank;this.Domain();},Domain',290,'var _3c="";var _3d=',5,52,'domain;if(',5,965,'("://([^/]*)/")){_3c=RegExp.$1;}_3c=_3c.replace(/:\\d+$/,"");if(_3c==""||_3c==_3d',727,'if(navigator.','appName=="','Microsoft Internet Explorer"&&','navigator.platform','=="MacPPC"&&navigator.onLine&&navigator.userProfile&&',5,52,'all',727,'_3c=_3c.split(/\\./);_3d=_3d.split(/\\./);if(_3c.length<2||_3d.length<2||','_3c[_3c.length-','1',']!=_3d[_3d.length-','1]||',1015,'2',1017,'2]){this.','DomainWarning','();return;}','var _3e=',1015,'2]+"."+',1015,'1];',34,'i=3;i<=_3c.length&&i<=_3d',403,404,1015,'i',1017,'i]){break;}_3e=',1015,'i]+"."+_3e;}',5,52,'domain=_3e;this.',475,'=1;},',1023,290,'alert("In order for ',2,' to be able to load the additional "+"components that it may need, the ',5,'js file must be "+"',6,' from a server in the same domain as the page that "+"contains it.  Because that is not the case for this page, "+"the mathematics displayed here may not appear correctly.");},','EncodeFont',249,'_40){var _41=',5,'TeX[_40];if(_41[0].c!=null',727,34,'k=0;k<128;k++){var _43=_41[k];_41[k]=_43[3];if(_41[k]==null){_41[k]={};}_41[k].w=_43[0];_41[k].h=_43[1];if(_43[2]!=null){_41[k].d=_43[2];}_41[k].c=',5,'TeX.encoding[k];}},Fonts',290,401,5,'TeX.fam.length;',954,'_45=',5,'TeX.fam[i','];if(_45',257,1054,'(_45);}}},TeXfont',249,'_46){var _47=',5,'TeX[_46];var WH=',5,374,'=\\""+_46+"\\">"+_47[65','].c+"</span>");','_47.hd=WH.h;_47.d=',5,374,'=\\""+_46+"\\">"+_47[65].c+"<img src=\\""+',5,323,'height:"+(_47.hd*',5,281,369,')+"em; width:1px;\\" /></span>").h-_47.hd;_47.h=_47.hd-_47.d;_47.dh=0.05;if(',5,'browser=="Safari"){_47.hd*=2;}','if(_46=="',140,'"){_47.skewchar=','127',308,1097,144,1099,'48;}}},',372,290,401,5,1067,404,5,1071,']){this.TeXfont(',5,1071,']);}}},Sizes',290,5,'TeXparams','=[];',34,'j=0;j<',5,63,403,'j++){',5,1120,'[j]={};}',34,35,5,'TeX){',39,5,'TeX[i])!="object"){',34,'j=0;j<',5,63,403,'j++){',5,1120,'[j][i]=',5,63,'[j]*',5,'TeX[i]/100;}}}},Styles',249,'_4d){',0,'_4d){_4d=',5,'styles;_4d[".typeset .scale"]="font-size:"+',5,449,'.scale+"%";this.stylesReady=1;}',5,488,'this,"','AddStyleSheet','",_4d);if(',5,281,'styleChangeDelay','){',5,488,5,'Script,"Delay",1);}},',1164,249,'_4e){var _4f=',5,52,949,'head")[0];if(',5,52,'styleSheets','){var _50=_4f',632,5,52,58,'("style"));var _51=_50.styleSheet||_50.sheet;if(_51){',34,'id in _4e){','if(_4e[id]!=""){if(_51.addRule){_51.addRule(id,_4e[id],_51.length',542,'_51.insertRule(id+" {"+_4e[id]+"}",_51.length);}}}return',308,'_4f',869,'_50);_50',416,'_51=null;}}var _53=(',5,52,1183,')?',5,52,1183,'.length:0;var _54="";',34,1191,'_54+=id+" {"+_4e[id]+"}\\n";}var _56=',5,52,58,'("link");_56.rel="stylesheet";_56.type="text/css";_56.href="data:text/css;charset=utf-8,"+escape(_54);_4f',632,'_56);if(',5,52,1183,'&&',5,52,1183,'.length==_53&&!(',5,52,'implementation','&&',5,52,1228,'.createCSSStyleSheet)){var div=',5,52,58,'("div");div','.style.display="none','";',5,52,566,632,'div);div',778,'="<style type=\\"text/css\\">"+"\\n"+_54+"\\n"+"</style>";}},Body',290,'if(this.inited',727,'this.inited=-','1;',5,311,'Hidden();',1250,'2;',5,281,769,1250,'3;if(',5,449,'.blank){',5,494,'.Blank();}',1250,'4;',5,311,'Styles();',1250,'5;',5,'Controls.',769,1250,'6;',5,488,5,'Setup,"User","pre-font");',1250,'7;',5,488,5,'Font,"Check");this.inited=1;},User',249,'_58){}};',5,'Update={',372,249,'_59){',34,'_5a in _59){',34,'_5b in _59[_5a]){',34,'id in _59[_5a][_5b]){',5,'TeX[_5a][_5b][id]=_59[_5a][_5b][id];}}}},TeXfontCodes',249,'_5d){',34,'_5e in _5d){',401,'_5d[_5e].length;i++){',5,'TeX[_5e][i].c=_5d[_5e][i];}}}};',5,'Browser={allowAbsolute:1,allowAbsoluteDelim:0,separateSkips:0,msieSpaceFix:"",','msieCenterBugFix',':"",','msieInlineBlockFix',':"",',369,':1,renameOK:1,',1168,':0,delay:1,spaceWidth:0,','hiddenSpace',':"",','valignBug',':0,operaHiddenFix:"",version:0,','TestSpanHeight',290,5,258,'="<span','><img src=\\""+',5,323,'height: 2em\\" /></span>";var _60=',5,'hidden.firstChild;','var img=_60.firstChild;','this.spanHeightVaries','=(_60',264,'==img',264,');',5,258,'="";},','TestRenameOK',290,5,258,1331,'></span>";var _62=',5,1337,'_62.setAttribute("name","','jsMath_test','");this.renameOK=(',5,52,'getElementsByName("',1357,'").length>0);',5,258,1347,'TestStyleChange',290,5,258,1331,' ID=\\"',1357,'\\">x</span>";var _63=',5,1337,'var w=_63',261,';',5,311,1164,'({"#',1357,'":"font-size:200%"});this.',1168,'=(_63',261,'==w);',5,258,1347,'VersionAtLeast',249,'v){var bv',967,'this.version).split(".");v',967,'v).split(".");if(v[1]==null){v[1]="0";}return bv[0]>v[0]||(bv[0]==v[0]&&bv[1]>=v[1]);},Init',290,5,'browser="','unknown";this.',1327,383,1348,383,1367,383,'MSIE',383,'Mozilla',383,'Opera',383,'OmniWeb',383,'Safari',383,'Konqueror','();if(','this.allowAbsoluteDelim','){',5,'Box.DelimExtend=',5,'Box.DelimExtendAbsolute;',5,'Box.Layout=',5,'Box.LayoutAbsolute',308,5,'Box.DelimExtend=',5,'Box.DelimExtendRelative;',5,'Box.Layout=',5,'Box.LayoutRelative;}if(','this.separateSkips','){',5,'HTML.Place=',5,'HTML.','PlaceSeparateSkips',';',5,'Typeset.prototype.','Place=',5,1450,1447,';}},MSIE',290,'if(',1339,'){',5,1402,'MSIE";',1005,'platform=="','Win32"){',1422,'=1;',1441,'=1',';this.buttonCheck=1;this.',853,'=1;this.msieDivWidthBug=1;this.',847,636,'msieIntegralBug',636,'msieAlphaBug=1;','this.alphaPrintBug=1',';this.',1315,'="position:relative; ";this.msieSpaceFix="<img src=\\""+',5,365,'class=\\"HD\\" />";this.',1317,'=" display: inline-block;";',5,'Macro("joinrel","\\\\mathrel{\\\\kern-5mu}"),',5,'styles[".typeset',' .arial"]="',225,': \'Arial unicode MS\'";',5,'styles["#jsMath_message','"]=',5,1495,'"].replace(/','position:fixed','/,"',199,'").','replace(/width:auto','/,"");',5,'styles["#jsMath_panel','"]=',5,1507,1499,1500,'/,"',199,'").',1504,'/,"");',5,'styles["#jsMath_button','"]="width:','1px; "+',5,1519,1499,1500,'/,"',199,'").',1504,'/,"");',5,1,'onscroll=',5,1276,'MoveButton;if(','screen.deviceXDPI','&&','screen.logicalXDPI','&&',1537,'!=',1539,257,369,'*=',1539,'/',1537,';',5,449,'.alpha=0',524,282,'="<i>x</i>";',5,'EmBoxFor=',5,273,308,1005,1464,'MacPPC"){this.msieAbsoluteBug',636,'msieButtonBug',1472,853,'=1;',5,'Setup.Script("jsMath-','msie-mac.js");',5,'Parser.prototype.macros','.angle=["Replace","ord","<font face=\\"Symbol\\">&#x8B;</font>","normal"];',5,1507,1520,'25em; "+',5,1507,'"].',1504,'/,"");',5,1519,1520,1521,5,1519,'"].',1504,'/,"");}}',5,'Macro("not","\\\\mathrel{\\\\rlap{\\\\kern3mu','/}}");}},',1412,290,'if(',5,260,'.ATTRIBUTE_NODE){',5,1402,1412,'";',1005,1464,'Win32"){',1478,';}',1422,'=1;',1441,'=1;',5,1595,'/}}");',1005,'vendor=="Firefox"){',5,281,'version=navigator.vendorSub',308,'if(','navigator.userAgent.match','(" Firefox/([0-9.]+)( |$)")){',5,281,'version=RegExp.$1;}}}},',1416,290,1005,'accentColorName){',5,1402,1416,'";','this.allowAbsolute','=!',1626,'("',1416,'/v4");',1422,'=',1639,1470,775,'=1;}},Opera',290,1005,1006,'Opera"||',1626,'(" Opera ")){',5,1402,'Opera";',1639,'=0;this.delay=10;this.operaHiddenFix="[Processing]";}},Safari',290,1005,'appVersion.match(/Safari\\//)){',5,1402,'Safari";var _67=',1626,'("Safari/([0-9]+)");_67=(_67)?_67[1]:400;',401,5,1067,404,5,1071,']){',5,'TeX[',5,1071,']].dh=0.1;}}',5,'TeX.axis_height+=0.05;',1422,'=_67>=125;this.safariIFRAMEbug=_67>=312&&_67<412;this.safariImgBug',636,775,'=1',1470,1168,'=1;}},',1420,290,1005,'product&&navigator.product.match("',1420,'")){',5,1402,1420,'";',1639,'=0;',1422,'=0;if(',1626,'(/',1420,'\\/(\\d+)\\.(\\d+)/)){if(RegExp.$1<3||(RegExp.$1==3&&RegExp.$2<3)){',1441,636,1325,636,1323,857,5,'Box.prototype.Remeasured=new Function("return this");}}}}};',5,'Font={fallback:"symbol",message:"<b>No TeX fonts found</b> -- using',' image fonts instead','.<br/>\\n"+"These',' may be slow and might not print well.<br/>\\n"+"Use the jsMath control panel to get additional information.",','extra_message:"Extra TeX fonts not found: <b><span id=\\"jsMath_ExtraFonts\\"></span></b><br/>"+"Using',1720,'.  This',1722,'Test1',249,'_69,n,_6b,_6c','){if(n==null){n=124;}if(','_6b==null){_6b=2;}if(_6c==null){_6c="";}var wh1=',5,'BBoxFor("<span style=\\"font-family',': "+_6c+_69+", serif\\">"+',5,'TeX[_69][n',1083,'var wh2=',5,1733,': serif\\">"+',5,'TeX[_69][n',1083,'return (wh1.w>_6b*wh2','.w&&wh1.h!=0);},','Test2',249,'_6f,n,_71,_72',1730,'_71==null){_71=2;}if(_72==null){_72="";}var wh1=',5,1733,': "+_72+_6f+", serif\\">"+',5,'TeX[_6f][n',1083,'var wh2=',5,1733,': serif\\">"+',5,'TeX[_6f][n',1083,'return (wh2.w>_71*wh1',1746,'CheckTeX',290,'var wh=',5,1733,': ',2,'-',148,124,'\\">"+',5,385,'1',1083,5,'nofonts=((wh.w*3>wh.h||wh.h==0)&&!this.Test1("cmr10','",null,null,"',2,'-"));if(',5,'nofonts&&(',1008,'!="MacPPC"||',5,'browser!="',1412,'"||!',5,281,1393,'(1.5))){wh=',5,1733,': ',148,124,'\\">"+',5,385,'1',1083,5,1783,'"));',0,5,'nofonts){',5,1571,'BaKoMa-fonts.js");}}},Check',290,'var _76=',5,449,';this.CheckTeX();if(',5,1814,'if(_76.autofont','||_76','.font=="tex','"){_76.font=this.fallback;if(_76.warn){',5,'nofontMessage=1;_76.warn=0;',5,1276,'SetCookie(0);if(',5,1,'NoFontMessage','){',5,1,1836,'();}else{this.',494,'(',732,');}}}}else{',1825,'){_76.font="','tex";}if(_76',1827,'"){return;}}if(',5,'noImgFonts',1847,'unicode";}','if(_76.font=="','unicode"){var _77=({Win32:"pc",MacPPC:"mac"})[',1008,']||"unix";',5,1571,'fallback-"+_77+".','js");return;}',1855,'symbol"){',5,1571,'fallback-symbols.',1862,5,'Img.SetFont({',121,':["all"],',140,1872,144,1872,148,1872,126,1872,133,':["all"]});',5,'Img.LoadFont("cm-fonts");},',494,249,'_78',7,5,'Element("Warning','")){return;}var div=',5,311,'DIV("Warning",{});div',778,'="<center><table><tr><td>"+"<div id=\\"',229,'\\">"+_78+"<','div style=\\"','text-align:left\\"><span style=\\"float:left; margin: 8px 0px 0px 20px\\">"+"<span onclick=\\"',5,1276,'Panel()\\" title=\\" Open the ',2,' Control Panel',' \\" class=\\"link\\">',2,1905,'</span>"+"</span','><span style=\\"margin: 8px 20px 0px 0px; float:right\\">"+"<span onclick=\\"',5,'Font.HideMessage()\\" title=\\" Remove this font warning message',1906,'Hide this ',494,1909,'></div><',1899,'height:6px\\"></div><br clear=\\"all\\"/></div>"+"<',1899,'width:22em; height:1px\\"></div>"+"</td></tr></table></center><hr/>";},HideMessage',290,'var _7a=',5,1890,'");if(_7a){_7a',1238,'";}},Register',249,'_7b){',5,485,525,39,'_7b)=="string"){_7b={name:_7b};}var _7c=_7b.name;var _7d=_7c.replace(/10$/,"");var _7e=',5,1067,'if(_7b.prefix==null){_7b.prefix="";}',0,'_7b.style){_7b.style="',225,': "+_7b.prefix+_7c+", serif";}',0,'_7b.styles','){',1944,'={};}',0,'_7b.macros','){',1949,1947,5,'TeX.fam[_7e]=_7c;',5,'TeX.famName[_7c]=_7e;',1949,'[_7d]=["HandleFont",_7e];',5,'Add(',5,1574,',',1949,');_7b.',1490,' ."+_7c]=_7b.style;',5,311,'Styles(',1944,');',5,488,5,'Setup,"TeXfont",_7c);var _7f=!',5,'nofonts&&_7b.test(_7c,_7b.testChar,_7b.testFactor,_7b.prefix);if(_7f&&',5,449,1827,'"){if(_7b.tex){_7b.tex(_7c,_7e,_7b);}',5,485,'End',1024,0,'_7f&&',5,449,'.warn&&',5,449,1827,'"&&!',5,'nof'],
  ['onts){','if(!','jsMath.','Element("','Warning")){this.Message(this.extra_message);}var _80=',2,3,'ExtraFonts");if(_80){if(','_80.innerHTML','!=""){',8,'+=",";}',8,'+=" "+_7b.prefix+_7c;}}if(',2,'Controls','.cookie.font=="unicode"){if(_7b.fallback){_7b.fallback(_7c,_7e,_7b);}',2,'Script.','End();return;}var _81={};_81[_7c]=["all"];',2,'Img.SetFont(_81);',2,'Img.LoadFont(_7c);',2,18,'End();},Load',':function(','_82){',2,'Setup.Script(this.URL(_82));},URL',27,'_83){return ',2,'Img.root+_83+"/def.js";}};',2,15,'={cookie:{scale:100,font:"tex",autofont:1,scaleImg:0,alpha:1,warn:1,button:1,progress:1,asynch:0,blank:0,print:0,keep:"0D"},cookiePath:"/",Init',':function(){','this.panel=',2,'Setup.DIV("','panel",{display:"none"});',1,2,'Browser.msieButtonBug){this.Button();}else{setTimeout("',2,15,'.Button()",500);}},Panel',38,2,'Translate.Cancel();if(this.loaded){this.Main();}else{',2,18,'delayedLoad(',2,'root+"jsMath-controls.html");}},Button',38,'var _84=',2,41,'button",{});_84.title=" Open jsMath Control Panel ";_84.innerHTML="jsMath";_84.onclick=new Function("',2,15,'.Panel()");',1,'this.cookie','.button){_84.style.display="none";}},MoveButton',38,1,'this.button','){',70,'=',2,3,'button");}','this.button.style.visibility="','hidden";',77,'visible";},GetCookie',38,'var _85=',2,'document.cookie',';if(','jsMath.window.location.','protocol=="file:"){','_85=unescape(',86,'search.substr(1));}if(_85','.match(/jsMath','=([^;]*)/)){var _86=RegExp.$1.split(/,/);for(var i=0;i<_86.length;i++){var x=_86[i].match(/(.*):(.*)/);if(x[2].match(/^\\d+$/)){x[2]=1*x[2];}',66,'[x[1]]=x[2];}}},SetCookie',27,'_89){var _8a=[];','for(var id in ',66,'){_8a[_8a.length]=id+":"+',66,'[id];}_8a=_8a.join(",");if(',86,87,1,'_89){return;}this.loaded=0;var _8c=',86,'href;_8c=_8c.replace(/\\?.*/,"")+"?jsMath="+escape(_8a);if(_8c!=',86,'href){',86,'replace(_8c);}}else{if(','this.cookiePath','){_8a+="; ','path="+',112,';}if(','this.cookieDomain',113,'domain="+',117,116,66,'.keep!="0D"){var ms={D',':1000*60*60*24',',W',124,'*7,M',124,'*30,Y',124,'*365};var exp=new Date;exp.setTime(exp.getTime()+',66,'.keep.substr(','0,1)*ms[',66,133,'1,1)]);_8a+="; expires="+exp.toGMTString();}',2,84,'="jsMath="+_8a;var _8f=',2,84,';if(_89&&!_8f',91,'=/)){alert("Cookies must be enabled in order to save jsMath options");}}}};',2,'Click={CheckClick',27,'_90){',1,149,'_90=',2,'window.event;}if','(_90.altKey){',2,15,'.Panel();}},CheckDblClick',27,'_91){',1,160,'_91=',2,154,'(!',2,'Click.DblClick){',2,'Extension.Require("double-click",1);var _92=_91;_91={};',97,'_92){_91[id]=_92[id];}}',2,18,'Push(',2,'Click,"DblClick",[_91,this.alt]);}};',2,'TeX={thinmuskip:3/18,medmuskip:4/18,thickmuskip:5/18,x_height:0.430554,quad:1,num1:0.676508,num2:0.393732,num3:0.44373,denom1:0.685951,denom2:0.344841,sup1:0.412892,sup2:0.362892,sup3:0.288888,sub1:0.15,sub2:0.247217,sup_drop:0.386108,sub_drop:0.05,delim1:2.39,delim2:1,axis_height:0.25,default_rule_thickness:0.04,big_op_spacing1:0.111111,big_op_spacing2:0.166666,big_op_spacing3:0.2,big_op_spacing4:0.6,big_op_spacing5:0.1,integer:6553.6,scriptspace:0.05,nulldelimiterspace:0.12,delimiterfactor:901,delimitershortfall:0.5,scale:1,atom:["ord","op","bin","rel","open","close","punct","ord"],fam:["cmr10","cmmi10","cmsy10","cmex10","cmti10","","cmbx10"],famName:{cmr10:0,cmmi10:1,cmsy10:2,cmex10:3,cmti10:4,cmbx10:6},encoding:["&#xC0;","&#xC1;","&#xC2;","&#xC3;","&#xC4;","&#xC5;","&#xC6;","&#xC7;","&#xC8;","&#xC9;","&#xCA;","&#xCB;","&#xCC;","&#xCD;","&#xCE;","&#xCF;","&#xB0;","&#xD1;","&#xD2;","&#xD3;","&#xD4;","&#xD5;","&#xD6;","&#xB7;","&#xD8;","&#xD9;","&#xDA;","&#xDB;","&#xDC;","&#xB5;","&#xB6;","&#xDF;","&#xEF;","!","&#x22;","#","$","%","&#x26;","&#x27;","(",")","*","+",",","-",".","/","0","1","2","3","4","5","6","7","8","9",":",";","&#x3C;","=","&#x3E;","?","@","A","B","C","D","E","F","G","H","I","J","K","L","M","N","O","P","Q","R","S","T","U","V","W","X","Y","Z","[","&#x5C;","]","^","_","`","a","b","c","d","e","f","g","h","i","j","k","l","m","n","o","p","q","r","s","t","u","v","w","x","y","z","{","|","}","&#x7E;","&#xFF;"],cmr10:[[0.625',',0.683],[0.','833',180,'778',180,'694',180,'667',180,'75',180,'722',180,'778',180,'722',180,'778',180,'722',180,'583',',0.694,0,{ic:0.','0778,krn:{"39":0.0778,"63":0.0778,"33":0.0778,"41":0.0778,"93":0.0778},lig:{"105":','14,"108":15}}],[0.','556',',0.694],[0.','556',206,'833',206,'833',206,'278',',0.431],[0.','306',',0.431,0.194','],[0.5',206,'5',206,'5,0.628],[0.5',206,'5,0.568],[0.75',206,'444,0,0.17],[0.5',206,'722',214,'778',214,'5,0.528,0.0972],[0.903,0.683],[1.01',180,'778,0.732,0.0486],[0.278',',0.431,0,{krn:{"','108":-0.278,"76":-0.319}}],[0.278',',0.694,0,{lig:{"96":','60}}],[0.','5',206,'833',',0.694,0.194],[','0.5',',0.75,0.0556],[0.','833',243,'778',206,'278',',0.694,0,{krn:{"','63":0.111,"33":0.111','},lig:{"39":34}}],[0.','389',',0.75,0.25],[0.','389',253,'5,0.75],[','0.778,0.583,0.0833],[','0.278,0.106',',0.194],[0.','333',',0.431,0,{','lig:{"45":','123}}],[',258,'],[0.5',253,'5',',0.644','],[0.5,0.644],[0.','5',268,269,'5',268,269,'5',268,269,'5',268,269,'278',214,'278',216,'],[0.278,0.5',259,'778',',0.367,-0.133],[','0.472,0.5',259,'472',236,'62}}],[0.778',206,'75',',0.683,0,{krn:{"','116','":-0.0278,"','67',299,'79',299,'71',299,'85',299,'81',299,'84":-0.0833,"89":-0.0833,"86":-0.111,"87":-0.111}}],[0.','708',180,'722',180,'764',297,'88',299,'87',299,'65',299,'86',299,'89":-','0.0278}}],[0.','681',180,'653',',0.683,0,{','krn:{"111":-0.0833,"101":-0.0833,"117":-0.0833,"114":-0.0833,"97":-0.0833,"65":-0.111,"79":-0.0278,"67":-0.0278,"71":-0.0278,"81":-0.0278}}],[','0.785',180,'75',180,'361',297,'73":',326,'514',180,'778',297,'79',299,'67',299,'71',299,'81":-',326,'625',297,310,'917',180,'75',180,'778',297,'88',299,'87',299,'65',299,'86',299,'89":-',326,'681',297,'65','":-0.0833,"','111',299,'101',299,'97',299,'46',374,'44":-0.','0833}}],[0.','778,0.683',259,'736',297,'116',299,'67',299,'79',299,'71',299,'85',299,'81',299,310,'556',180,'722',297,'121',299,'101',374,'111',374,'114',374,'97',374,'65',374,'117":-0.',384,'75',180,'75',',0.683,0,{ic:0.','0139,',331,'1.03',423,'0139,',331,'0.75',297,'79',299,'67',299,'71',299,'81":-',326,'75',423,'025,','krn:{"101',374,'111',374,'114',374,'97',374,'65',374,418,384,'611',180,'278',253,'5',206,'278',253,'5',206,'278,0.668],[0.','278',236,'92}}],[0.','5',234,'118',299,'106":0.0556,"121',299,'119":-',326,'556',',0.694',',0',',{krn:{"101":0.0278,"111":0.0278,"120":-0.0278,"100":0.0278,"99":0.0278,"113":0.0278,"118":-0.0278,"106":0.0556,"121":-0.0278,"119":-0.0278}}],[0.','444',234,'104',299,'107":-',326,'556',206,'444',214,'306',202,203,'12,"102":11,"108":13}}],[0.','5,0.431',',0.194,{ic:0.','0139,krn:{"','106":',326,'556',249,'116',299,'117',299,'98',299,'121',299,'118',299,'119":-',326,465,'306,0.668',259,'528',249,'97','":-0.0556,"','101',299,'97',299,'111',299,'99":-',326,'278',206,'833',234,'116',299,'117',299,'98',299,'121',299,'118',299,'119":-',326,'556',234,'116',299,'117',299,'98',299,'121',299,'118',299,'119":-',326,495,',0',480,'556',216,480,'528',216,'],[0.392',214,'394',214,'389,0.615,0,{krn:{"121',299,'119":-',326,'556',234,'119":-',326,'528',',0.431,0,{ic:0.',497,'97',520,'101',299,'97',299,'111',299,'99":-',326,'722',580,497,'101',299,'97',299,'111',299,'99":-',326,'528',214,'528',',0.431',496,497,'111',299,'101',299,'97',299,'46',374,'44":-0.',384,'444',214,'5',580,'0278,',262,'124}}],[1',580,'0278}],[0.','5',206,'5,0.668],[0.5,0.668]],cmmi10:[[0.615',423,'139',',krn:{"61":-0.0556,"59":-0.111,"58":-0.111,"127":0.',384,'833',297,'127":0.167}}],[0.','763',423,623,'krn:{"127":0.0833}}],[0.','694',297,637,'742',423,'0757,',641,'831',423,'0812,krn:{"61',520,'59":-0.0556,"58":-0.0556,"127":0.','0556}}],[0.','78',423,'0576,',641,'583',423,'139',633,654,'667',330,641,'612',423,'11,krn:{"61',520,653,654,'772',423,'0502,',641,'64',580,'0037,','krn:{"127":',326,'566',478,496,'0528,',641,'518',606,496,'0556}],[0.444',202,'0378,krn:{"',653,654,'406',261,'krn:{"127":0.0556}}],[0.','438',478,496,'0738,',641,'497',606,496,'0359,',697,'469',202,623,641,'354',261,697,'576',214,'583',206,'603',216,',{',680,326,'494',580,'0637,krn:{"',653,'0278}}],[0.','438',478,496,'046,','krn:{"127":0.111}}],[0.','57',580,'0359}],[0.','517',216,',{',641,'571',580,'0359,krn:{"59',520,'58":-0.',654,'437',580,'113,krn:{"',653,728,'54',580,'0359,',680,326,'596',478,',0.194,{',641,'626',216,',{',697,'651',478,496,'0359,',733,'622',580,736,'466',261,641,'591',',0.694,0,{',641,'828',580,627,'517',216,',{',641,'363',606,',0.0972,{ic:0.','0799,',641,'654',216,',{',680,'0.0833}}],[1',289,'1',289,'1',289,'1',289,'0.278',',0.464,-0.0363],[','0.278',804,'0.5,0.465,-0.0347],[',807,'0.5',214,'5',214,'5',214,'5',216,'],[0.5',216,'],[0.5',216,269,'5',216,269,'5',216,'],[',258,'],[',258,259,'778',',0.539,0.0391],[','0.5,0.75,0.25,{krn:{"1',520,'65',520,'77',520,'78',520,'89":0.0556,"90":-0.',654,'778',833,807,'0.531',202,'0556,',641,'75',297,'127":','0.','139}}],[0.','759',423,'0502,',641,'715',423,'0715,krn:{"61',299,653,384,'828',423,623,697,'738',423,'0576,',641,'643',423,'139',633,384,'786',330,641,'831',423,'0812,krn:{"61',520,653,654,'44',423,'0785,',733,'555',423,'0962',633,'167}}],[0.','849',423,'0715,krn:{"61',520,653,654,'681',297,853,326,'97',423,'109,krn:{"','61',520,653,384,'803',423,909,'61',374,'61',299,653,384,'763',423,623,641,'642',423,'139',633,384,'791,0.683',759,641,'759',423,'00773,',641,'613',423,'0576,krn:{"61',520,653,384,'584',423,'139,krn:{"61',299,653,384,'683',423,909,'59":-0.111,"',745,'111,"61',520,853,326,'583',423,'222',',krn:{"59":-0.167,"58":-0.167,"61":-0.111}}],[0.','944',423,'139',963,'828',423,'0785,krn:{"61',374,'61',299,653,384,'581',423,'222',963,'683',423,'0715,krn:{"61',520,653,384,'389,0.75],[0.389',241,'0.389',241,'1,0.358,-0.142],[',990,'0.417',777,733,'529',214,'429',206,'433',261,697,'52',249,'89":0.0556,"90',520,'106":-0.111,"102":-0.167,"',637,'466',261,697,'49',478,496,'108,krn:{"',653,896,'477',606,496,'0359,',680,326,'576',249,'127":-',326,'345,0.66],[0.412,0.66',496,'0572,krn:{"59',520,745,654,'521',202,'0315}],[0.298',202,'0197,',641,'878',214,'6',214,'485',261,697,'503',216,',{',641,'446',606,496,'0359,',641,'451',580,623,'krn:{"',653,654,'469',261,697,'361,0.615,0,{',641,'572',234,853,326,'485',580,'0359,',680,326,'716',580,'0269,',641,'572',234,853,326,'49',606,496,'0359,',697,'465',580,'044,',697,'322',234,853,326,'384',216,',{',641,'636',216,',{',733,'5,0.714',',0,{ic:0.','154}],[0.278',202,'399}]],cmsy10:[[',257,'0.278,0.444,-0.0556],[',257,807,257,'0.5,0.444,-0.0556],[',257,257,257,257,257,257,257,'1',241,1114,1114,'0.778',804,'0.778,0.464,-0.0363','],[0.778,0.636,0.136',1129,1129,1129,1129,1129,'],[0.778',289,'0.778,0.483,-0.0169],[0.778',833,'0.778',833,'1',833,'1',833,'0.778',833,'0.778',833,'1',289,'1',289,'0.5',241,'0.5',241,'1',289,'1',241,'1',241,'0.778',804,'1',289,'1',289,'0.611',241,'0.611',241,'1',289,'1',241,'1',241,'0.778',214,'275,0.556],[1',214,'667',833,'0.667',833,'0.889',241,'0.889',241,'0',241,'0',289,'0.556',206,'556',206,'667',214,'5',243,'722',206,'722',206,'778',206,'778',206,'611',206,'798',297,'48":0.','194}}],[0.657',423,'0304',',krn:{"48":0.',855,'527',423,'0583',1219,855,'771',423,'0278',1219,384,'528',423,'0894',1219,'111}}],[0.','719',423,'0993',1219,1235,'595',',0.683,0.0972,{ic:0.','0593',1219,1235,'845',423,'00965',1219,1235,'545',423,'0738,krn:{"48":',326,'678',1242,'185',1219,896,'762',423,'0144',1219,654,'69',297,1215,'139}}],[1.2',297,1215,855,'82',423,'147',1219,384,'796',423,1228,1219,1235,'696',423,'0822',1219,384,'817,0.683,0.0972,{krn:{"',1215,1235,'848',297,1215,384,'606',423,'075',1219,855,'545',423,'254,krn:{"48":',326,'626',423,'0993',1219,384,'613',423,'0822,krn:{"48":',326,'988',423,'0822',1219,384,'713',423,'146',1219,855,'668',1242,'0822',1219,384,'725',423,'0794',1219,855,'667,0.556],[0.',1332,1332,1332,1332,'611',206,'611',206,'444',253,'444',253,'444',253,'444',253,'5',253,'5',253,'389',253,'389',253,'278',253,'5',253,'5',253,'611',253,'5',253,'278',241,'0.833,0.04,0.96],[0.75',180,'833',180,'417',478,496,'111}],[0.',1332,'667,0.556',1129,1129,'],[0.444',241,'0.444',241,'0.444',241,'0.611',241,'0.778,0.694,0.13','],[',1389,'],[',1389,'],[',1389,']],cmex10:[[0.458',',0.04,1.16,{n:','16}],[0.458',1397,'17}],[0.417',1397,'104}],[0.417',1397,'105}],[0.','472',1397,'106}],[0.472',1397,'107}],[0.472',1397,'108}],[0.','472',1397,'109}],[0.583',1397,'110}],[0.583',1397,1376,'472',1397,'68}],[0.472',1397,'69}],[0.333',',0,0.6,{delim:{','rep:12}}],[0.556',1424,'rep:13}}],[0.578',1397,'46}],[0.578',1397,'47}],[0.597',',0.04,1.76,{','n:18}],[0.597',1432,'n:19}],[0.736',',0.04,2.36,{n:','32}],[0.736',1436,'33}],[0.528',1436,'34}],[0.528',1436,'35}],[0.583',1436,'36}],[0.583',1436,'37}],[0.583',1436,'38}],[0.583',1436,'39}],[0.75',1436,'40}],[0.75',1436,'41}],[0.75',1436,'42}],[0.75',1436,'43}],[1.04',1436,'44}],[1.04',1436,'45}],[0.792',',0.04,2.96,{n:','48}],[0.792',1464,'49}],[0.583',1464,'50}],[0.583',1464,'51}],[0.639',1464,'52}],[0.639',1464,'53}],[0.639',1464,'54}],[0.639',1464,'55}],[0.806',1464,'56}],[0.806',1464,'57}],[0.806',',0.04,2.96],[','0.806',1484,'1.28',1484,'1.28',1484,'0.811',1432,'n:30}],[0.811',1432,'n:31}],[0.875',1432,'delim:{top:','48,bot:64,rep:66}}],[0.875',1432,1497,'49,bot:65,','rep:67}}],[0.','667',1432,1497,'50,bot:52,rep:54}}],[0.667',1432,1497,'51,bot:53,rep:55}}],[0.667',1432,'delim:{bot:','52,rep:54}}],[0.667',1432,1511,'53,rep:55}}],[0.667',1424,'top:50,rep:54}}],[0.667',1424,'top:51,rep:55','}}],[0.889,0,0.9,{delim:{top:','56,mid:60,bot:58,rep:62',1520,'57,mid:61,bot:59,rep:62',1520,'56,bot:58,rep:62',1520,'57,bot:59,rep:62','}}],[0.889,0,1.8,{delim:{rep:','63',1528,'119}}],[0.889,0,0.3,{delim:{','rep:62}}],[0.','667',1424,'top:120,','bot:121,rep:63}}],[0.','875',1432,1497,'56,bot:59,',1532,'875',1432,1497,'57,bot:58,',1532,'875',1424,'rep:66}}],[0.875',1424,1502,'611',1432,'n:28}],[0.611',1432,'n:29','}],[0.833,0,1,{n:','71}],[1.','11,0.1,1.5],[','0.472,0,1.11,{ic:0.194,n:','73}],[0.556,0,2.22,{ic:0.444}],[1.','11,0,1,{n:','75}],[1.51',',0.1,1.5],[1.',1562,'77}],[1.51',1564,1562,'79}],[1.51',1564,'06,0,1,{n:88}],[','0.944,0,1,{n:','89}],[',1560,'90',1557,'91',1557,'92',1557,'93',1557,'94',1557,'95}],[1.44',1564,'28,0.1,1.5],[0.556,0',',2.22,{ic:0.444}],[1.11',1564,'11',1564,'11',1564,'11',1564,1559,1572,'97}],[1.',1587,'.722,0,{n:99','}],[1,0.75,0,{n:','100','}],[1.44,0.75],[0.','556,0.722,0,{n:102',1601,'103',1603,'472',1432,'n:20}],[0.472',1432,'n:21}],[0.528',1432,'n:22}],[0.528',1432,'n:23}],[0.528',1432,'n:24}],[0.528',1432,'n:25}],[0.667',1432,'n:26}],[0.667',1432,'n:27}],[1',1397,'113}],[1',1432,'n:114}],[1',1436,'115}],[1',1464,'116}],[1.06,0,1.8,{',1497,'118,bot:116,rep:117}}],[1.06,0,0.6],[1.06,0.04,0.56],[0.778',1424,'top:126,','bot:127,rep:119','}}],[0.667',1424,1535,'rep:63}}],[0.667',1424,1536,'45,0.12],[0.',1644,1644,1644,'778',1424,1636,'rep:119}}],[0.778',1424,1637,'}}]],cmti10:[[0.627',423,'133}],[0.818',180,'767',423,'094}],[0.692',180,'664',423,'153}],[0.743',423,'164}],[0.','716',423,'12}],[0.','767',423,1376,'716',423,'0599}],[0.767',423,1376,'716',423,'103}],[0.','613',478,496,'212,krn:{"39":0.104,"63":0.104,"33":0.104,"41":0.104,"93":0.104},lig:{"105":',204,'562',478,496,1680,'588',478,496,1680,'882',478,496,1680,'894',478,496,1680,'307',580,'0767}],[0.','332',606,496,'0374}],[0.511',206,'511',202,'0969','}],[0.511,0.','628',1105,'083}],[0.511',202,'108',1713,'562',1105,1680,'831',206,'46,0,0.17],[0.537',478,496,1404,'716',580,'0751}],[0.716',580,'0751',1713,'528',788,'0919}],[0.883',423,1669,'985',423,1669,'767,0.732,0.0486,{ic:0.094}],[0.256',234,'108":-0.256,"76":-0.321}}],[0.307',202,'124,lig:{"96":',237,'514',202,'0696}],[0.818',478,496,'0662}],[0.769',206,'818,0.75,0.0556,{ic:0.136}],[0.767',202,'0969}],[0.307',202,'124,krn:{"63":0.102,"33":0.102',251,'409',',0.75,0.25,{ic:0.','162}],[0.409',1763,'0369',1713,'75',1105,'149}],[0.767,0.562,0.0567,{ic:0.0369','}],[0.307,0.','106',259,'358',580,'0283,',262,'123}}],[0.307,0.106],[0.511',1763,'162}],[','0.511,0.644,0,{ic:0.136}],[',1781,1781,1781,'0.511',268,496,'136}],[',1781,1781,'0.511',268,496,'136}],[',1781,1781,'0.307',580,'0582',1771,'431',496,'0582',1771,'5',496,'0756}],[0.767,0.367,-0.133,{ic:0.0662',1713,'5',259,'511',202,'122,lig:{"96":62}}],[0.767',202,'096}],[0.743',330,'krn:{"110":-0.0256,"108":-0.0256,"114":-0.0256,"117":-0.0256,"109":-0.0256,"116":-0.0256,"105":-0.0256,"67":-0.0256,"79":-0.0256,"71":-0.0256,"104":-0.0256,"98":-0.0256,"85":-0.0256,"107":-0.0256,"118":-0.0256,"119":-0.0256,"81":-','0.0256,"84','":-0.0767,"','89',1819,'86','":-0.102,"','87',1823,'101":-0.0511,"97":-0.0511,"111":-0.0511,"100":-0.0511,"99":-0.0511,"103":-0.0511,"113":-0.0511}}],[0.','704',423,1680,'716',423,'145}],[0.','755',423,'094,krn:{"88','":-0.0256,"','87',1836,'65',1836,'86',1836,'89','":-0.0256}}],[0.','678',423,1669,'653',423,'133,krn:{"','111','":-0.0767,"101":-0.0767,"','117','":-0.0767,"114":-0.0767,"97":-0.0767,"','65',1823,'79":-0.0256,"67":-0.0256,"71":-0.0256,"81":-0.0256}}],[0.','774',423,'0872}],[0.743',423,1666,'386',423,'158}],[0.525',423,'14}],[0.769',423,'145,krn:{"',1857,'627',297,'84',1819,'89',1819,'86',1823,'87',1823,1826,'897',423,1666,'743',423,1666,'767',423,'094,krn:{"88',1836,'87',1836,'65',1836,'86',1836,'89',1844,'678',423,'103',',krn:{"65":-0.0767}}],[0.','767,0.683',496,'094}],[0.729',423,'0387,',1817,'0.0256,"84',1819,'89',1819,'86',1823,'87',1823,1826,'562',423,1669,'716',423,1850,'121',1852,'111',1854,'117":-0.0767,"65":-0.0767}}],[0.','743',423,1666,'743',423,'184,krn:{"111',1852,'117',1854,'65',1823,1857,'999',423,'184',1903,'743',423,'158,krn:{"',1857,'743',423,'194,',443,1819,'111',1854,1929,'613',423,1832,'307',1763,'188}],[0.514',202,'169}],[0.307',1763,1404,'511',202,'0665',1771,'668',1105,'118}],[0.307',202,1747,468,'511',580,1704,'46',202,'0631,krn:{"',1826,'46',580,'0565,krn:{"',1826,'511',202,'103,krn:{"108":0.','0511}}],[0.46',580,'0751,krn:{"',1826,'307',478,496,1684,494,'46',606,496,'0885}],[0.511',202,'0767',1771,'655',1105,'102',1771,'655',496,1832,'46',202,1411,'256',202,1991,'0'],
  ['511','}}],[0.','818',',0.431,0,{ic:0.','0767}],[0.','562',3,'0767,krn:{"39":-0.102',1,'511',3,'0631',',krn:{"101":-0.0511,"97":-0.0511,"111":-0.0511,"100":-0.0511,"99":-0.0511,"103":-0.0511,"113":-0.0511}}],[0.','511',',0.431,0.194,{ic:0.','0631',12,'46',14,'0885}],[0.','422',3,'108',12,'409',3,'0821}],[0.332,0.615,0,{ic:0.0949}],[0.537',3,4,'46',3,'108}],[0.664',3,'108,krn:{"108":0.0511',1,'464',3,'12}],[0.486',14,19,'409',3,'123}],[0.511',3,'0921',',lig:{"45":124}}],[1.','02',3,'0921}],[0.511,0.694,0,{ic:0.122','}],[0.511,0.668,0,{ic:0.','116',49,'105}]],cmbx10:[[0.692',',0.686],[0.','958',53,'894',53,'806',53,'767',53,'9',53,'831',53,'894',53,'831',53,'894',53,'831',53,'671',',0.694,0,{ic:0.109,krn:{"39":0.109,"63":0.109,"33":0.109,"41":0.109,"93":0.109},lig:{"105":','14,"108":15',1,'639',',0.694],[0.','639',79,'958',79,'958',79,'319',',0.444],[0.','351',',0.444,0.194','],[0.575,0.','694',90,'694',90,'632',90,'694',90,'596],[0.869',79,'511,0,0.17],[0.597',79,'831',87,'894,0.444',90,'542,0.0972],[1.04,0.686],[1.17',53,'894,0.735,0.0486],[0.319',',0.444,0,{krn:{"','108":-0.319,"76":-0.378',1,'35',',0.694,0,{lig:{"96":','60',1,'603',79,'958,0.','694,0.194',90,'75,0.0556],[0.',119,122,'894',79,'319',',0.694,0,{krn:{"','63":0.128,"33":0.128},lig:{"39":34',1,'447',',0.75,0.25],[0.','447,0.75,0.25',90,'75],[0.894,0.633,0.133],[0.','319,0.156',',0.194],[0.','383',',0.444,0',',{lig:{"45":123',1,136,90,'75,0.25',90,'644',90,'644',90,'644',90,'644',90,'644',90,'644',90,'644',90,'644',90,'644',90,'644],[0.319',87,'319',89,'],[0.35,0.5',137,'894,0.391,-0.109],[0.543,0.5',137,'543',114,'62',1,'894',79,'869',',0.686,0,{krn:{"','116','":-0.0319,"','67',181,'79',181,'71',181,'85',181,'81',181,'84":-0.0958,"89":-0.0958,"86":-0.128,"87":-0.128}}],[','0.818',53,'831',53,'882',179,'88',181,'87',181,'65',181,'86',181,'89','":-0.0319}}],[0.','756',53,'724,0.686,0,{','krn:{"111":-0.0958,"101":-0.0958,"117":-0.0958,"114":-0.0958,"97":-0.0958,"65":-0.128,"79":-0.0319,"67":-0.0319,"71":-0.0319,"81":-0.0319}}],[','0.904',53,'9',53,'436',179,'73":0.0319',1,'594',53,'901',179,'79',181,'67',181,'71',181,'81',208,'692',179,192,'1.09',53,'9',53,'864',179,'88',181,'87',181,'65',181,'86',181,'89',208,'786',179,'65":-0.0958,"111',181,'101',181,'97',181,'46":-0.0958,"44":-0.0958}}],[0.','864,0.686',137,'862',179,'116',181,'67',181,'79',181,'71',181,'85',181,'81',181,192,'0.639',53,'8',179,'121',181,'101":-0.0958,"111":-0.0958,"114":-0.0958,"97":-0.0958,"65":-0.0958,"117":-0.0958}}],[0.','885',53,'869,0.686,0,{ic:0.','016,',212,'1.19,0.686,0,{ic:0.016,',212,'0.869',179,'79',181,'67',181,'71',181,'81',208,287,'0287,krn:{"',284,'703',53,'319',132,'603',79,'319,0.75,0.25',90,'694],[0.319',79,'319',114,'92',1,'559',110,'118',181,'106":0.0639,"121',181,'119',208,'639,0.694,0',',{krn:{"101":0.0319,"111":0.0319,"120":-0.0319,"100":0.0319,"99":0.0319,"113":0.0319,"118":-0.0319,"106":0.0639,"121":-0.0319,"119":-0.0319}}],[0.','511',110,'104',181,'107',208,'639',79,'527',87,'351',75,'12,"102":11,"108":13',1,'575',89,',{ic:0.016,krn:{"','106":0.0319',1,'639',128,'116',181,'117',181,'98',181,'121',181,'118',181,'119',208,'319',79,'351,0.694',137,'607',128,'97":-0.0639,"101',181,'97',181,'111',181,'99',208,'319',79,'958',110,'116',181,'117',181,'98',181,'121',181,'118',181,'119',208,'639',110,'116',181,'117',181,'98',181,'121',181,'118',181,'119',208,'575',139,328,'639',89,328,'607',89,'],[0.474',87,'454',87,'447,0.635,0,{krn:{"121',181,'119',208,'639',110,'119',208,'607',139,345,'97":-0.0639,"101',181,'97',181,'111',181,'99',208,'831',139,345,'101',181,'97',181,'111',181,'99',208,'607',87,'607',89,345,'111',181,'101',181,'97',181,260,'511,0.444',90,'444,0,{ic:0.0319',45,'15,0.',462,'}],[0.575,0.694',90,'694',90,'694]]};','jsMath.Img','={fonts:[50,60,70,85,100,120,144,173,207,249,298,358,430],w:{"50":6.9,"60":8.3,"70":9.7,"85":11.8,"100":13.9,"120":16.7,"144":20,"173":24,"207":28.8,"249":34.6,"298":41.4,"358":49.8,"430":59.8},best:4,update:{},factor:1,loaded:0,SetFont',':function(','_94){for(var _95 in _94){if(!','this.update[_95',']){',475,']=[];}',475,']=',475,'].concat(_94[_95]);}},AddFont',473,'_96,def){if(!',471,'[_96]){',471,'[_96]={};}','jsMath.Add(',471,'[_96],def);},UpdateFonts',':function(){','var _98=this.update;','if(!this.loaded){return;}','var _99=this[','jsMath.Img.fonts','[this.best]];','for(var _9a in _98){','for(var i=0;i<','_98[_9a].length;i++){var c=_98[_9a][i];if(c=="all"){for(c in ','jsMath.TeX[','_9a]){',501,'_9a][c].img','={};}}else{',501,504,'={};}}}this.update={};},BestSize',492,'var w=jsMath.em*this.factor;var m=','this.w[this.fonts[','0]];for(var i=1;i<','this.fonts','.length;i++){','if(w<(',511,'i]]+2*m)/3){','return ','i-1;}m=',511,'i]];}',518,'i-1;},Scale',492,494,'this.best=this.BestSize();this.em=',471,'.w[',513,497,'this.scale','=(jsMath.em/this.em);','if(Math.abs(',531,'-1)<0.12){',531,'=1;}},URL',473,'_a0,_a1,C){var _a3=(','jsMath.Controls.cookie.','alpha)?"/alpha/":"/plain/";if(C==null){C="def.js";}else{C="char"+C+".png";}if(_a1!=""){_a1+="/";}','return this','.root+_a0+_a3+_a1+C;},LoadFont',473,'_a4){if(',540,'print){',540,'print=0;var _a5=jsMath.Element("button");if(_a5){_a5.style.display="none";}this.factor*=3;if(jsMath.window.location.protocol!="file:"){jsMath.Controls.SetCookie(0);}if(','jsMath.Browser.','alphaPrintBug){',540,'alpha=0;}}this.loaded=1;jsMath.Setup.Script(this.URL(_a4,""));}};jsMath.HTML={Em',473,'m){var n=5;if(m<0){n++;}',533,'m)<0.000001){m=0;}var s=String(m);s=s.replace(/(\\.\\d\\d\\d).+/,"$1");',518,'s+"em";},Spacer',473,'w){if(w','==0){return "";}',518,550,'msieSpaceFix+"<span style=\\"margin-left',': "+this.Em(w-',550,'spaceWidth',')+"\\">"+',550,'hiddenSpace+"</span','>";},Rule',473,'w,h){if(h==null){h=jsMath.TeX.default_rule_thickness;}','if(w==0||h',562,'w*=',550,'imgScale',';h=Math.round(h*jsMath.em*',550,579,'+0.25);if(h<1){h=1;}return "<','img src=\\""+jsMath.blank','+"\\" hspace=\\"0\\" vspace=\\"0\\" "+"style=\\"width',':"+this.Em(','w)+"; height:1px; "+"','vertical-align',':-1px; "+"border:0px none; border-top:"+h+"px solid\\" />";},Class',473,'_ac,_ad){return "<span class=\\""+_ac+"\\">"+_ad+"</span>";},Place',473,'_ae',',x,y){if(Math.abs(x)<0.0001){x=0;}if(Math.abs(y)<0.0001){y=0;}','if(x||y){var _b1','="<span style=\\"position: ','relative',';";if(x){_b1+=" margin-left',586,'x)+";";}if(y){_b1+=" ','top:"+this.Em(-y',')+";";}_ae=_b1+"\\">"+_ae','+"</span>";}',518,'_ae;},PlaceSeparateSkips',473,'_b2',594,'if(y){_b2',596,597,'; ',601,')+";"+"\\">"+_b2',603,'if(x){_b2=',550,565,586,'x-',550,568,')+";\\">"+',550,571,'>"+_b2',';}return ','_b2;},PlaceAbsolute',473,'_b5',594,'_b5',596,'absolute; left',586,'x)+"; "+"top',586,'y',623,'_b5+"&nbsp;</span>";',518,'_b5;},Absolute',473,'_b8,w,h,d,y,H){var _be="";if(d&&d!="none"){_be=" ',588,': "+','jsMath.HTML.','Em(-d)+";";}if(y!="none"){',533,'y)<0.0001){y=0;}_b8',596,'absolute; "+"top:"+',647,'Em(y)+"; left: 0em',';\\">"+_b8','+"&nbsp;"+"</span>";}_b8+="<',584,'+"\\" style=\\""+"width:"+',647,'Em(w*',550,579,')+"; "+"height:"+',647,'Em(h*',550,579,')+";"+_be+"\\" />";if(',550,'msieAbsoluteBug){_b8',596,597,655,603,'_b8',596,597,';"+" width: "+',647,'Em(w)+";"+" height: "+',647,'Em(H)+";"+',550,'msieInlineBlockFix+"\\">"+_b8+"</span>";',518,'_b8;}};','jsMath.Box','=function(','_bf,_c0,w,h,d){if(d==null){d=jsMath.d;}this.type="typeset";this.w=w;this.h=h;this.d=d;this.bh=h;this.bd=d;this.x=0;this.y=0;','this.html=','_c0;this.format=_bf;};',489,687,',{defaultH:0,Null:new ',687,'("null","",0,0,0),Text',473,'_c4,_c5,_c6,_c7,a,d){var _ca=','jsMath.Typeset.AddClass(','_c5,_c4);_ca=','jsMath.Typeset','.AddStyle(','_c6,_c7,_ca);var BB','=jsMath.EmBoxFor(','_ca);var TeX=',701,'.TeX(_c6,_c7);var bd=((_c5=="cmsy10"||_c5=="cmex10")?BB.h-TeX.h:TeX.d*BB.h/TeX.hd);','var box=new jsMath.Box("text",','_c4,BB.w,BB.h-bd,bd);box.style=_c6;box.size=_c7;','box.tclass','=_c5;if(d!=null){if(d!=1){box.d=d;}}else{box.d=0;}if(a==null||a==1){box.h=0.9*TeX.M_height;}else{box.h=1.1*TeX.x_height+1*a;}','return box;},','TeX',473,'C,_d0,_d1,_d2){var c=',501,'_d0][C];if(','c.d==null){c.d=0;}','if(c.h==null){c.h=0;}if(c.img!=null&&c.c!=""){this.TeXIMG(_d0,C,',701,'.StyleSize(_d1,_d2));}var _d4=',701,'.TeX(_d1,_d2).scale;var h=c.h+',501,'_d0].dh;',708,'c.c,c.w*_d4,h*_d4,c.d*_d4);box.style=_d1;box.size=_d2;if(c.tclass){',710,'=c.tclass;box.bh=_d4*jsMath.h;box.bd=_d4*jsMath.d;}else{',710,'=_d0;box.bh=_d4*',501,'_d0','].h;box.bd=','_d4*',501,'_d0].d;if(',550,'msieFontBug){box.html+="<span style=\\"display: none\\">x</span>";}}if(c.img!=null){box.bh=c.img.bh;box.bd=c.img.bd;',710,'="normal";}',712,'TeXIMG',473,'_d7,C,_d9){var c=',501,'_d7][C];if(c.img.size!=null&&c.img.size==_d9&&c.img.best!=null&&c.img.best==','jsMath.Img.best','){return;}var _db=(',471,'.scale!=1);var id=',748,'+_d9-4;if(id<0){id=0;_db=1;}else{if(id>=',496,'.length){','id=',496,'.length-1',';_db=1;}}var _dd=',471,'[',496,'[id]];var img=_dd[_d7][C];var _df=1/',471,'.w[',496,'[id]];if(id!=',748,'+_d9-4){if(c.w!=null){_df=c.w/img[0];}else{_df*=',496,'[_d9]/',496,'[4]*',496,'[',748,']/',496,'[id];}}var w=img[0]*_df;var h=img[1]*_df;var d=-img[2]*_df;var v;var _e4=(c.w==null||Math.abs(c.w-w)<0.01)?"":" margin-right:"+',647,'Em(c.w-w)+";";var _e5="";C=this.HexCode(C);if(!_db&&!',540,'scaleImg){if(2*w<h||(',550,'msieAlphaBug&&',540,'alpha)){_e5="height',':"+(img[1]*',550,579,')+"px;";}_e5+=" width:"+(img[0]*',550,579,')+"px;";v=-img[2]+"px";}else{if(2*w<h||(',550,'msieAlphaBug&&',540,787,':"+',647,'Em(h*',550,579,')+";";}_e5+=" width:"+',647,'Em(w*',550,579,')+";";v=',647,'Em(d);}var _e6=(Math.abs(d)<0.01&&!',550,'valignBug)?"":" ',588,':"+v+";";var URL=',471,'.URL(_d7,',496,'[id],C);if(',550,'msieAlphaBug&&',540,'alpha){c.c="<',584,'+"\\" "+"','style=\\""+',550,'msieCenterBugFix+_e5+_e6+_e4','+" filter:progid:DXImageTransform.Microsoft.AlphaImageLoader(src="+"\'"+URL+"\', sizingMethod=\'scale\'"+");\\" />";}else{c.c="<img src=\\""+URL+"\\" ',826,550,828,'+"\\" />";}c.tclass="normal";c.img.bh=h+d;c.img.bd=-d;c.img.size=_d9;c.img.best=',748,';},HexCode',473,'C){var _e9="0123456789ABCDEF";var h=Math.floor(C/16);var l=C-16*h;',518,'_e9.charAt(h)+_e9.charAt(l);},Space',473,'w){',518,'new jsMath.Box("html",',647,'Spacer(w),w,0,0);},Rule',473,574,'var _ef=',647,'Rule(w,h);',518,843,'_ef,w,h,0);},GetChar',473,'_f0,_f1){var c=',501,'_f1][_f0];','if(c.img!=null){this.TeXIMG(','_f1,_f0,4);}if(c.tclass==null){c.tclass=_f1;}if(!c.computedW){c.w',704,699,'c.tclass,c.c)).w',';if(c.h==null){c','.h=jsMath.Box.defaultH;}if(',718,'c.computedW=1',627,'c;},DelimBestFit',473,'H,c,_f5,_f6){if(c==0&&_f5','==0){return null;}','var C;var h;_f5','=jsMath.TeX.fam[','_f5];var _f9=(_f6.charAt(1)=="S");var isS=(_f6.charAt(0)=="S");while(c!=null){C=',501,'_f5][c];if(C.h==null){C',864,'C.d==null){C.d=0;}h=C.h+C.d;','if(C.delim','){return [c,_f5',',"",H];}if(_f9&&0.5*h>=H',880,',"SS",0.5*h];}if(isS&&0.7*h>=H',880,',"S",0.7*h];}if(h>=H||C.n==null',880,',"T",h];}c=C.n',627,'null;},DelimExtendRelative',473,'H,c,_fd,a,_ff){var C=',501,'_fd][c];var top','=this.GetChar(C.delim.','top?C.delim.top:C.delim.rep,','_fd);var ','rep',894,'rep,',896,'bot',894,'bot?C.delim.bot:C.delim.rep,',896,'ext=',699,'rep.tclass,rep.c);','var w=rep.w;var h=','rep.h+rep.d',';var y;var dx;',879,'.mid){var mid',894,'mid,_fd);','var n=Math.ceil((H-(top.h+top.d)-(','mid.h+mid.d',')-(','bot.h+bot.d','))/(2*(',909,')));H=2*n*(',909,')+(top.h+top.d)+(',916,')+(',918,');if(_ff){y=0;}else{y=H/2+a;}var Y=y',';var html=',647,'Place(',699,'top.tclass,top.c),0,','y-top.h)+',647,930,699,'bot.tclass,bot.c),-(','top.w+bot.w)/2,y-(H-bot.d))+',647,930,699,'mid.tclass,mid.c','),-(bot.w+mid.w)/2,y-(H+mid.h-mid.d)/2);dx=(w-mid','.w)/2;if(Math.abs(dx)<0.0001){dx=0;}if(dx){html+=jsMath.HTML.Spacer(dx);}y-=top.h+top.d+rep.h;for(var i=0;i<n;i++){html+=jsMath.HTML.Place(ext,-w,y-i*h);}','y-=H/2-rep.h/2;',499,'n;i++){','html+=',647,930,'ext,-w,y-i*h);}}else{',915,918,'))/(',909,'));if(top.h+top.d<0.9*(',909,')){n=Math.max(1,n);}H=n*(',909,923,918,');if(_ff){y=0;}else{y=H/2+a;}var Y=y',928,647,930,699,932,'y-top.h);dx=(w-top',944,948,647,930,699,937,'w+bot.w)/2,Y-(H-bot.d));}if(_ff){h=top.h;}else{h=H/2+a;}','var box=',843,'html,rep.w,h,H-h',');box.bh=',501,'_fd',734,501,'_fd].d;',712,'DelimExtendAbsolute',473,'H,c,font,a,_118){var Font=',501,'font];var ','C=Font[c];var top',894,895,'font);var rep',894,'rep,font);var bot',894,903,'font);',879,'.mid){var mid',894,'mid,font);',915,916,'-0.05)-(',918,'-0.05))/(','2*(','rep.h+rep.d-0.05',')));H=2*n*(',1010,923,916,'-0.05)+(',918,'-0.05);html=','jsMath.HTML.PlaceAbsolute(',699,932,'0);var h=',1010,';var y=top.d-0.05+rep.h;var ext=',699,'font,rep.c);',499,'n;i++){',948,1018,'ext,0,y+i*h);}',948,1018,699,942,'),0,y+n*h-rep.h+mid.h);y+=n*h+',916,'-0.05;',499,'n;i++){',948,1018,'ext,0,y+i*h);}',948,1018,699,'bot.tclass,bot.c),0,y+n*h-rep.h+bot.h);}','else{',915,918,1008,1010,'));H=n*(',1010,923,918,'-0.05);html=',1018,699,932,'0);var h=',1010,';var y=top.d-0.05+rep.h;var ext=',699,907,499,'n;i++){',948,1018,'ext,0,y+i*h);}',948,1018,699,1046,'var w=top.w;if(_118){h=top.h;y=0;}else{h=H/2+a;y=h-top.h;}html=',647,'Absolute(html,w,','Font.h,"none",-y,top.h);',976,843,'html,rep.w,h,H-h',979,501,'font',734,501,'font].d;',712,'Delimiter',473,'H,_12d,_12e,_12f){var size=4;var TeX=',701,'.TeX(_12e,size);if(!_12d','){return this.Space(TeX.nulldelimiterspace);}','var ','CFSH=this.DelimBestFit(H,_12d[','2],_12d[1],_12e);','if(CFSH==null','||CFSH[3]<H){',1095,'4],_12d[3],_12e);}',1097,1093,'if(CFSH[2]==""){',542,'.DelimExtend(H,','CFSH[0],CFSH[1],','TeX.axis_height',',_12f);}box=',687,'.TeX(',1106,'CFSH[2],size',').Styled();if(_12f){box.y=-',501,'CFSH[1]].dh*TeX.scale;}else{box.y=-((box.h+box.d)/2-box.d-',1107,');}',533,'box.y)<0.0001){box.y=0;}if(box.y','){box=jsMath.Box.SetList','([box],',1112,');}',712,'GetCharCode',473,'code){var font',873,'code[0]];var Font=',501,990,'c=Font[code[1]];',858,'font,code[1],4);}if(c.w==null){c.w',704,699,862,';}if(c.font==null){c.font=font',627,'c;},AddClass',473,'_137,html',',font){if(_137==null){_137=font',627,699,1142,');},LayoutRelative',473,'size,_13b,_13c,_13d){if(_13c==null){_13c=[];}if(_13d==null){_13d=[];}var _13e=jsMath.sizes[size]/100',';var W=[];var H=[];var D=[];var ','_142=-1000;var bh=_142;var bd=_142',';var i;var j;var row;for(i=0;i<','_13b',514,'row=_13b','[i];H[i]=jsMath.h*','_13e',';D[i]=jsMath.d*','_13e',';for(j=0;j<','row.length;j++){row[j]=row[j].Remeasured();if(row[j].h>H[i]){H[i]=row[j].h;}if(row[j].d>D[i]){D[i]=row[j].d;}if(j>=W.length){W[j]=row[j].w;}else{if(row[j].w>W[j]){W[j]=row[j].','w;}}if(row[j].bh>bh){bh=row[j].bh;}if(row[j].bd>bd){bd=row[j].bd;}}}if(bh==_142){bh=0;}if(bd==_142){bd=0;}','var HD=(jsMath.hd-0.01)*','_13e;','var html="";var ','pW=0;var cW=0;var w;var h;var y;var box;var _150;var _151',';for(j=0;j<W.length;j++){','_150=[];y=-H[0];pW=0',';for(i=0;i<','_13b',514,'_151=_13b[i][j];if(_151&&_151','.format!="null"){if(','_13c[j]=="l"){w=0;}else{if(_13c[j]=="r"){w=W[j]-_151.w;}else{w=(W[j]-_151.w)/2;}}_151.x=w-pW;pW=_151.w+w;_151.y=y;_150[_150.length]=_151;}if(i==_13b',758,'){y-=D[i];}else{y-=','Math.max(HD,D[i]+H[i+1])+','_13e/10;}}if(_13d[j]==null){_13d[j]=_13e;}if(_150.length>0',1120,'(_150,"T",size);',948,647,930,'box.html,cW,0);cW=W[j]-box.w+_13d[j];}else{cW+=_13d[j];}}w=-_13d[W',758,'];y=(H',758,')*_13e/10',1169,'W',514,'w+=W[i]+_13d[i];}','for(i=0;i<H.length;i++){y+=Math.max(HD,H[i]+D[i]);}h=y/2+jsMath.TeX.axis_height;var d=y-h;',948,647,'Spacer(cW-_13d[W',758,']+_13e/6);html=',647,930,'html,_13e/6,h);box=',843,'html,w+_13e/3,h,d',979,'bh;box.bd=bd;',712,'LayoutAbsolute',473,'size,_154,_155,_156){if(_155==null){_155=[];}if(_156==null){_156=[];}var _157=jsMath.sizes[size]/100;',1163,'_157',1150,'w=0;var h;var x;var y',1152,'_154',514,'row=_154',1156,'_157',1158,'_157',1160,1161,'w;}}}}y=(H',758,')*_157/6;',1193,1165,'_165;w=_157/6',1167,'y=H[0]-h',1169,'_154',514,'_165=_154[i][j];if(_165&&_165',1173,'_155[j]=="l"){x=0;}else{if(_155[j]=="r"){x=W[j]-_165.w;}else{x=(W[j]-_165.w)/2;}}',948,1018,'_165.html,w+x,y-Math.max(0,_165.bh-jsMath.h*_157));}if(i==_154',758,'){y+=D[i];}else{y+=',1177,'_157/6;}}if(_156[j]==null){_156[j]=_157;}w+=W[j]+_156[j];}w=-_156[W',758,']+_157/3',1169,'W',514,'w+=W[i]+_156[i];}html=',647,'Spacer(_157/6',')+html+',647,1252,');if(',550,'spanHeightVaries){y=h-jsMath.h;}else{y=0;}html=',647,1076,'h+d,d,y,H[0]);',976,843,'html,w+_157/3,h,d);',712,'InternalMath',473,'text,size){if(!text.match(/\\$|\\\\\\(/)){',542,'.Text(text,"normal","T",size).Styled();}var i=0;var k=0;var c;var _16c="";var _16d=[];var _16e;var html;var box;while(i<text',755,'c=text.charAt(i++);if(c','=="$"){if(_16c=="$"){','_16e=jsMath.Parse(text.slice(k,i-','1','),null,size);if(_16e.error){_16d[_16d.length]=this.Text(_16e.error,"error","T",size,1,1);}else{_16e.Atomize();_16d[_16d.length]=_16e.mlist.Typeset("T",size).Styled();}_16c="";k=i',';}else{','_16d[_16d.length]=this.Text(text.slice(k',',i-1','),"normal","T",size,1,1);','_16c="$";k=i;}}else{if(c=="\\\\"){',1272,'=="("&&_16c==""){',1278,',i-2',1280,'_16c=")";k=i;}else{if(c==")"&&_16c==")"){',1274,'2',1276,';}}}}}',1278,1280,542,'.SetList(_16d,"T",size);},Set',473,'box',',_172,size',',_174){if(box){','if(box.type=="typeset"){',518,'box;}if(box.type=="mlist"){box.mlist.Atomize(_172,size);',518,'box.mlist.Typeset(_172,size);}if(box.type=="text"){box=this.Text(box.text,',710,1298,',box.ascend,box.descend',');if(_174!=0){box.Styled();}return box;}','box=this.TeX(box.c,box.font',1298,1308,518,687,'.Null;},SetList',473,'_175,_176,size){var _178=[];var box;',499,'_175',514,'box=_175[i];',1300,'box=','jsMath.mItem','.Typeset(box);}_178[_178.length]=box;}var _17b=new ',701,'(_178);',518,'_17b.Typeset(_176,size);}});jsMath.Package(',687,',{Styled',492,'if(this.format=="text"){',690,699,'this.tclass',',this.html);',690,701,702,'this.style,this.size',1336,'delete this.','tclass;',1342,'style;this.format="html";}',542,';},Remeasured',492,'if(this.w>0&&!this.html.match(/position: ?absolute/)){this.w',704,'this.html).w;}',542,';}});',1323,688,'type,def){this.type=type;',489,'this,def);};',489,1323,',{Atom',473,'type,_17f','){return new jsMath.mItem','(type,{atom:1,nuc',':_17f});},TextAtom',473,'type,text,_182,a,d){var atom=new ',1323,1365,':{type:"text",text:text,tclass:_182}});if(a','!=null){atom.nuc.','ascend=a;}if(d',1372,'descend=d',627,'atom;},TeXAtom',473,'type,c,font',1364,1365,':{type:"TeX",c:c,font:font}});},Fraction',473,'name,num,den,_18c,left,_18e',1364,'("fraction",{from:name,num:num,den:den,thickness:_18c,left:left,right:_18e});},Space',473,'w',1364,'("space",{w:w});},Typeset',473,'box',1364,'("box",{nuc:box});},HTML',473,'html',1364,'("html",{html:html});}});','jsMath.mList',688,'list,font,size,_195){if(list){','this.mlist','=list;}else{',1402,'=[];}if(_195==null){_195="T";}if(size==null){size=4;}this.data={openI:null,overI:null,overF:null,font:font,','size:size,style:_195','};this.init={',1406,'};};jsMath.Package(',1399,',{Add',473,'box){return (',1402,'[','this.mlist.length',']=box);},Get',473,'i){',542,'.mlist[','i];},Length',492,518,1416,';},Last',492,'if(',1416,871,542,1421,1416,'-1];},Range',473,'i,j){if(j==null){j=',1416,627,'new ',1399,'(',1402,'.slice(i,j+1));},Delete',473,1436,'i;}if(',1402,'.splice){',1402,'.splice(i,j-i+1);}else{var _19c=[];for(var k=0;k<',1416,';k++){if(k<i||k>j){_19c[_19c.length]=',1402,'[k];}}',1402,'=_19c;}},Open',473,'left){',976,'this.Add(new ',1323,'("boundary",{','data:this.data}));var _1a0=this.data;this.data={};for(var i in _1a0){this.data[i]=_1a0[i];}',1342,'data.overI;',1342,'data.overF;this.data.openI=',1416,'-1;if(left!=null){box.left=left;}',712,'Close',473,'_1a2){if(_1a2!=null){_1a2=new ',1323,1462,'right:_1a2});}var atom;var open=this.data.openI;','var over=this.data.overI;var from=this.data.overF;','this.data=',1402,'[open].data;if(over){','atom=jsMath.mItem.Fraction(from.name,{type:"mlist",mlist:this.Range(open+1,over-1)},{type:"mlist",mlist:this.Range(over)},from.thickness,from.left,from.right);','if(_1a2){var _1a7=new ',1399,'([',1402,'[open],atom,_1a2]);atom=',1323,'.Atom("inner','",{type:"mlist",mlist:','_1a7});}}else{var _1a8=open+1;if(_1a2){this.Add(_1a2);_1a8--;}atom=',1323,'.Atom((_1a2)?"inner":"ord',1489,'this.Range(_1a8)});}this.Delete(open,this.Length());',542,'.Add(atom);},Over',492,1477,'var ',1481,1402,'=[atom];},Atomize',473,'_1ac,size){var _1ae;var prev="";this.style=_1ac;this.size=size;',499,1416,';i++){_1ae=',1402,'[i];_1'],
  ['ae','.delta=0',';if(','_1ae','.type=="','choice"){','this.mlist','=this.Atomize.choice(','this.style',',',3,',i,',6,');i--;}','else{if(','this.Atomize[_1ae.type',']){var f=',15,'];f(',8,',','this.size',',',3,',prev,this,i);}}prev=',3,';}if(',3,'&&',3,4,'bin"){',3,'.type="ord','";}if(',6,'.length>=2&&',3,4,'boundary"&&',6,'[0].type=="boundary"){this.','AddDelimiters','(_1ac,size);}},',42,':function(','_1b2,size){var _1b4=-10000;var h=_1b4;var d=_1b4;for(var i=0;i<',6,'.length;i++){','mitem=',6,'[i];if(mitem.atom||mitem',4,'box"){h','=Math.max(','h,','mitem.nuc.','h+',56,'y);d',54,'d,',56,'d-',56,'y);}}var TeX','=jsMath.TeX',';var a=','jsMath.Typeset.','TeX(_1b2,size).axis_height;var _1ba',54,'h-a,d+a);var H',54,'Math.floor(','TeX.integer','*_1ba/500)*TeX.delimiterfactor,',74,'*(2*_1ba-TeX.delimitershortfall))/',74,';var left=',6,'[0];var _1bd=',6,'[',6,'.length-1];left.nuc','=jsMath.Box.','Delimiter(H,','left.left',',_1b2);_1bd.nuc',86,87,'_1bd.right',',_1b2);left.type="open";left','.atom=1;delete ',88,';_1bd.type="close";_1bd',94,92,';},Typeset',45,'_1be,size){var _1c0=new ','jsMath.Typeset','(',6,');return _1c0.Typeset(_1be,size);}});jsMath.Add(jsMath.mList.prototype.Atomize,{style',45,'_1c1,size,_1c3,prev,_1c5){_1c5.style=_1c3.style;},size',45,'_1c6,size,_1c8,prev,_1ca){_1ca.size=_1c8.size;},phantom',45,'_1cb,size,_1cd){','var box','=_1cd.nuc',86,'Set(','_1cd.phantom',',_1cb',',size);','if(_1cd.h){box','.Remeasured();','box','.html=','jsMath.HTML.','Spacer(','box.w);}else{','box.html="",box.w=0;}if(!_1cd.v){','box.h=box.d=','0;}','box.bd=box.bh=0;delete ',116,';_1cd','.type="box";},','smash',45,'_1cf,size,_1d1){',112,'=_1d1.nuc',86,115,'_1d1.smash',',_1cf,','size).Remeasured();',127,129,140,';_1d1',132,'raise',45,'_1d3,size,_1d5){','_1d5.nuc',86,115,151,',_1d3',',size);var ','y=_1d5.raise;',151,122,123,'Place(',151,'.html,0,y);',151,'.h+=y;',151,'.d-=y;_1d5',33,'";_1d5.atom=1;},lap',45,'_1d7,size,_1d9){',112,86,115,'_1d9.nuc',',_1d7,',142,'var _1db=[box];','if(_1d9.lap=="','llap"){','box.x=-box.w',';}else{',179,'rlap"){_1db[1]=','jsMath.mItem.Space','(-',125,179,'ulap"){box.y=box.d;',127,'0',182,179,'dlap"){box.y=-box.h;',127,'0;}}}}',175,86,'SetList','(_1db,_1d7',118,179,'ulap"||_1d9.lap=="dlap"){',175,'.h=',175,'.d=0;}_1d9.type="box";delete _1d9.atom;},bin',45,'_1dc,size,_1de',',prev){if(prev','){var type=prev.type;if(type=="bin','"||type=="','op',212,'rel',212,'open',212,'punct','"||type==""||(type=="',39,'prev.left!="")){_1de',33,'";}}else{_1de',33,'";}','jsMath.mList.prototype.Atomize.SupSub(',209,');},rel',45,'_1e1,size,_1e3',210,4,31,'prev',33,'";}',227,231,');},close',45,'_1e5,size,_1e7',210,4,31,'prev',33,'";}',227,242,');},',219,45,'_1e9,size,_1eb',210,4,31,'prev',33,'";}',227,254,');},open',45,'_1ed,size,_1ef','){',227,265,');},inner',45,'_1f0,size,_1f2','){',227,271,');},','vcenter',45,'_1f3,size,_1f5','){',112,86,115,'_1f5.nuc,_1f3',156,'TeX=',68,'TeX(_1f3',118,'box.y=','TeX.axis_height','-(box.h-box.d)/2;_1f5.nuc=box;_1f5',33,'";',227,278,');},','overline',45,'_1f8,size,_1fa','){var TeX=',68,'TeX(_1f8',156,'box',86,115,'_1fa.nuc',',',68,'PrimeStyle','(_1f8),',142,'var t=','TeX.default_rule_thickness',';var rule',86,'Rule(box.w,t);rule.x=-rule.w;rule.y','=box.h+3*t;',307,86,'SetList([box,','rule],_1f8',118,307,'.h+=t;_1fa',33,'";',227,299,');},','underline',45,'_1ff,size,_201','){var TeX=',68,'TeX(_1ff',156,'box',86,115,'_201.nuc',',',68,310,'(_1ff),',142,313,314,';var rule',86,317,'=-box.d-3*t-t;',341,86,321,'rule],_1ff',118,341,'.d+=t;_201',33,'";',227,333,');},radical',45,'_206,size,_208','){var TeX=',68,'TeX(_206',156,'Cp=',68,310,'(_206);',112,86,115,'_208.nuc,Cp,',142,313,314,';var p=t;if(_206=="D"||_206=="D\'"){p=TeX.x_height;}var r=t+p/4;var surd',86,'Delimiter(','box.h+box.d','+r+t,[0,2,112,3,112],_206,1);t=surd.h;if(surd.d>',385,'+r){r=(r+surd.d-box.h-box.d)/2;}surd.y=box.h+r;var rule',86,'Rule(box.w,t);rule.y=surd.y-t/2;rule.h+=3*t/2;',181,';var Cr=',68,'UpStyle(',68,394,'_206));var root',86,115,'_208.root,Cr,',142,'if(_208.root){root.y=0.55*(',385,'+3*t+r)-box.d;surd.x',54,'root.w-(11/18)*surd.w,0);rule.x=(7/18)*surd.w;root.x=-(root.w+rule.x);}_208.nuc',86,199,'([surd,root,rule,box],_206',118,'_208',33,'";',227,366,');},accent',45,'_213,size',',_215){var TeX=',68,'TeX(_213',156,'Cp=',68,310,'(_213);',112,86,115,'_215.nuc',',Cp',156,'u=box.w;var s;var Font;if(',430,4,'TeX"){Font',66,'[',430,'.font];if(','Font[_215.nuc.c].krn','&&Font.skewchar){s=',441,'[Font.skewchar];}}if(s==null){s=0;}var c=_215.accent[2];var font',66,'.fam[_215.accent[1]];Font',66,'[font];while(Font[c].n&&Font[Font[c].n].w<=u){c=Font[c].n;}var _21e=Math.min(box.h,TeX.','x_height);','if(',430,4,'TeX"){var ','_21f=jsMath.mItem.Atom("ord",',430,');_21f.sup=_215.sup;_21f.sub=_215.sub;_21f',1,';',227,418,',_21f);_21e+=(_21f.nuc.h-box.h);box=',430,'=_21f.nuc;delete _215.sup;delete _215.sub;}var acc',86,'TeX(c,font,',418,');acc.y=box.h-_21e;acc.x=-box.w+s+(u-acc.w)/2;if(Font[c].ic){acc.x-=Font[c].ic*TeX.scale;}',430,86,321,'acc],',418,');if(',430,'.w!=box.w){var _221=',185,'(box.w-',430,'.w);',430,86,199,'([',430,',_221],',418,');}_215',33,'";',227,418,',_215);},op',45,'_222,size,_224','){var TeX=',68,'TeX(_222',156,'box;_224',1,';var isD=(_222','.charAt(0)=="','D");if','(_224.limits','==null&&isD){_224.limits=1;}if(','_224.nuc',4,453,'C',66,'[_224.nuc.font][',506,'.c];if(isD&&C.n){',506,'.c=C.n;C',66,511,'C.n];}box',86,'Set(_224.nuc,_222,size',');if(C.ic){_224','.delta=C.ic*TeX.scale;if',504,'||!_224.sub||','jsMath.Browser.','msieIntegralBug','){box',86,321,185,'(_224.delta)],','_222,size);}}','box.y=-((',385,')/2-box.d-',290,');if(Math.abs(box.y)<0.0001){box.y=0;}}if(!box){box',86,520,').Remeasured();}if',504,'){var W=box.w;var x=box.w;var _22b=[box];var dh=0;var dd=0;if(_224.sup){var sup',86,115,'_224.sup,',68,394,'_222),',142,'sup.x=((box.w-sup.w)/2+','_224.delta/2)-x;','dh=TeX.big_op_spacing5;W',54,'W,sup.w);x+=sup.x+sup.w;sup.y=box.h+sup.d+box.y+Math.max(TeX.big_op_spacing1,TeX.big_op_spacing3-sup.d);','_22b[_22b.length]=','sup;delete _224.sup;}if(_224.sub){var sub',86,115,'_224.sub,',68,'DownStyle','(_222),',142,'sub.x=((box.w-sub.w)/2-',551,'dd=TeX.big_op_spacing5;W',54,'W,sub.w);x+=sub.x+sub.w;sub.y=-box.d-sub.h+box.y-Math.max(TeX.big_op_spacing2,TeX.big_op_spacing4-sub.h);',555,'sub;delete _224.sub;}if(W>box.w){box.x=(W-box.w)/2;x+=box.x;}if(x<W){',555,185,'(W-x);}',506,86,199,'(_22b,_222',118,506,'.h+=dh;',506,'.d+=dd;}',14,525,526,'&&_224.sub&&C&&C.ic){',506,86,321,'jsMath.Box.','Space(-C.ic*TeX.scale)],_222,size);}',14,'box.y){',506,86,199,'([box],',532,227,494,');}},ord',45,'_230,size,_232',',prev,_234,i){if(_232.nuc',4,'TeX"&&!_232.sup&&!_232.sub){var _236=','_234.mlist[','i+1];if(_236&&_236.atom&&_236.type&&(_236',4,'ord"||_236',4,'op"||_236',4,'bin"||_236',4,'rel"||_236',4,'open"||_236',4,'close"||_236',4,219,'")){if(_236.nuc',4,'TeX"&&_236.nuc.font==_232.nuc.font){_232.textsymbol=1;var krn',66,'[_232.nuc.font][_232.nuc.c].krn;krn*=',68,'TeX(_230,size).scale;if(krn&&krn[_236.nuc.c]){for(var k=_234.mlist.length-1;k>i;k--){',607,'k+1]=',607,'k];}',607,'i+1]=',185,'(krn[_236.nuc.c]);}}}}',227,603,');},fraction',45,'_239,size,_23b','){var TeX=',68,'TeX(_239',156,'t=0;if(_23b.thickness!=null){t=_23b.thickness;}',14,'_23b.from.match(/over/)){t=',314,';}}var isD=(_239',502,'D");var Cn=(_239=="D")?"T":(_239=="D\'")?"T\'":',68,394,'_239);var Cd=(isD)?"T\'":',68,561,'(_239);var num',86,115,'_23b.num,Cn,',142,'var den',86,115,'_23b.den,Cd,',142,'var u;var v;var w;var H=(isD)?TeX.delim1:TeX.delim2;var _247=[',590,87,'_23b.left,_239)];var _248',86,87,'_23b.right,_239);if(num.w<den.w){num.x=(den.w-num.w)/2;den.x=-(num.w+num.x);w=den.w;_247[1]=num;_247[2]=den',182,'den.x=(num.w-den.w)/2;num.x=-(den.w+den.x);w=num.w;_247[1]=den;_247[2]=num;}if(isD){u=TeX.num1;v=TeX.denom1',182,'u=(t!=0)?TeX.num2:TeX.num3;v=TeX.denom2;}if(t==0){var p=(isD)?7*',314,':3*',314,';var r=(u-num.d)-(','den.h-v);if(r<p){','u+=(p-r)/2;v+=(p-r)/2;}}else{var p=(isD)?3*t:t',67,290,683,'a+t/2);if(r<p){u+=p-r;}r=(a-t/2)-(',684,'v+=p-r;}var rule',86,'Rule(w,t);rule.x=-w;rule.y=a-t/2',';_247[_247.length]=','rule;}num.y=u;den.y=-v',694,'_248;_23b.nuc',86,199,'(_247,_239',118,'_23b',33,'";_23b',94,'_23b.num;delete _23b.den;',227,642,');},SupSub',45,'_24f,size,_251){var TeX=',68,'TeX(_24f',156,'nuc=','_251.nuc',';',112,'=',716,86,115,716,',_24f,size,0);if(box.format=="null"){box=',716,86,'Text("","normal",','_24f,size);}','if(nuc',4,'TeX"){if(!_251.textsymbol){var C',66,'[nuc.font][nuc.c];if(C.ic){_251',522,'(!_251.sub){','box=',716,86,321,590,'Space(_251.delta)],_24f',118,'_251',1,';}}}else{_251',1,';}}if(!_251.sup&&!_251.sub){return;}',716,'.Styled();var Cd=',68,561,'(_24f);var Cu=',68,394,'_24f);var q=',68,'TeX(Cu,size).','sup_drop;var r=',68,'TeX(Cd,size).','sub_drop;var u=0;var v=0;var p;if(nuc.type!="text"&&nuc.type!="TeX"&&nuc.type!="null"){u=box.h-q;v=box.d+r;}if(_251.sub){var sub',86,115,'_251.sub,Cd',118,'sub',86,199,'([sub,',185,'(TeX.scriptspace)],_24f,size',');}if(!_251.sup){sub.y=-Math.max(v,TeX.sub1,sub.h-(4/5)*',68,760,449,716,86,321,'sub],_24f,size).Styled();','delete _251.','sub;return;}var sup',86,115,'_251.sup,Cu',118,'sup',86,199,'([sup,',185,771,');if(_24f=="D"){p=TeX.sup1;}',14,'_24f','.charAt(','_24f','.length-1)=="\'"){','p=TeX.sup3',182,'p=TeX.sup2;}}u',54,'u,p,sup.d+',68,757,'x_height/4);if',735,'sup.y=u;',716,86,321,'sup],_24f',118,780,'sup;return;}v',54,'v,',68,760,'sub2);',313,314,';if((u-sup.d)-(sub.h-v)<4*t){v=4*t+sub.h-(u-sup.d);p=(4/5)*TeX.x_height-(u-sup.d);if(p>0){u+=p;v-=p;}}sup',120,'sub',120,807,'sub.y=-v;sup.x=_251.delta;if(sup.w+sup.x>sub.w){sup.x-=sub.w;',716,86,321,'sub,sup],',728,'else{sub.x-=(sup.w+sup.x);',716,86,321,'sup,sub],',728,780,'sup;',780,'sub;}});',102,'=function(_260){this.type="typeset";',6,'=_260;};jsMath.Add(',102,',{upStyle:{D:"S",T:"S","','D\'":"S\'","T\'":"S\'",S:"SS','",SS:"SS","','S\'":"SS\'","SS\'":"SS\'"},','downStyle:{D:"S\'",T:"S\'","',849,'\'",SS:"SS\'","',851,'UpStyle',45,'_261){return this.upStyle[_261];},',561,45,'_262){return this.downStyle[_262];},',310,45,'_263){if(_263',795,'_263',797,'return _263;}return _263+"\'";},StyleValue',45,'_264,v){if(_264=="S"||_264=="S\'"){return 0.7*v;}if(_264=="SS"||_264=="SS\'"){return 0.5*v;}return v;},StyleSize',45,'_266,size){if(_266=="S"||_266=="S','\'"){size=Math.max(0,size-','2);}',14,'_266=="SS','"||',876,873,'4);}}return ','size;},TeX',45,'_268,size){if(_268=="S"||_268=="S',873,'2);}',14,'_268=="SS','"||',887,873,880,'jsMath.TeXparams[size];},AddStyle',45,'_26a,size,html){if(_26a=="S"||_26a=="S',873,'2);}',14,'_26a=="SS','"||',898,873,'4);}}if(size!=4){html="<span class=\\"size"+size+"\\">"+html+"</span>";}return html;},AddClass',45,'_26d,html){if(_26d!=""&&_26d!="normal"){html=',123,'Class(_26d,html);}return html',';}});jsMath.','Package(',102,',{DTsep:{ord',':{op:1,bin:2,rel:3,inner:1},','op',':{ord:1,op:1',',rel:3,inner:1},bin:{ord:2,op:2,open:2,inner:2},rel:{ord:3,op:3,open:3,inner:3},open:{},close',911,219,913,',rel:1,open:1,close',':1,punct:1,inner:1','},inner',913,',bin:2,rel:3,open',919,'}},SSsep:{ord:{op:1},op',913,'},bin:{},rel:{},open:{},close:{op:1},',219,':{},inner:{op:1}},sepW:["","thinmuskip","medmuskip","thickmuskip"],','GetSeparation',45,'l,r,_271){if(l&&l.atom&&r.atom){var _272=this.DTsep;if(_271',502,'S"){_272=this.SSsep;}var row=_272[l.type];if(row&&row[r.type]!=null){return jsMath.TeX[this.sepW[row[r.type]]];}}return 0;},Typeset',45,'_274,size){',8,'=_274;',21,'=size;var _276=-10000;this.w=0;this.h=_276;this.d=_276;this.bh=this.h;this.bd=this.d;','this.tbuf','="";this.','tx=0;','this.tclass','="";','this.cbuf',941,'hbuf',941,'hx=0;var _277=null;var prev;this.x=0;this.dx=0;for(var i=0;i<',6,48,'prev=_277;_277=',6,'[i];switch(_277.type){case "size":','this.FlushClassed();',21,'=_277.size;','_277=prev;break;case "','style":',955,'if(',8,795,8,797,8,'=_277.style','+"\'";}else{',8,967,';}',958,'space":if(typeof (_277.w)=="object"){if(',8,795,'1)=="','S"){_277.w=0.','5*','_277.w[0]/18',';}',14,8,502,977,'7*',979,182,'_277.w=',979,';}}}this.dx+=_277.w-0;',958,'html":',955,'if(this.hbuf==""){this.hx=this.','x;}','this.hbuf+=','_277.html;_277=prev;break;default:if(!_277.atom&&_277.type!="box"){break;}','_277.nuc.','x+=this.dx+this.',929,'(prev,_277,',8,');if(',998,'y||',998,'x){',998,'Styled();}this.dx=0;this.x=this.x+this.w;this.w+=',998,'w+',998,'x;if(',998,'format=="text"){if(',943,'!=',998,'tclass','&&',943,'!=""){this.FlushText();}if(',940,'==""&&',945,'==""){this.tx=this.x;}',940,'+=',998,'html;',943,'=',998,1019,182,955,'if(',998,'x||',998,'y){this.Place(_277.nuc);}',994,'x;}',996,998,'html;}this.h',54,'this.h,',998,'h+',998,'y);this.bh',54,'this.bh,',998,'bh);this.d',54,'this.d,',998,'d-',998,'y);this.bd',54,'this.bd,',998,'bd);break;}}',955,'if(this.dx){',996,123,124,'this.dx);this.w+=this.dx;}if(this.hbuf==""){return ',590,'Null;}if(this.h==_276){this.h=0;}if(this.d==_276){this.d=0;}',112,'=new jsMath.','Box("html",this.hbuf,this.w,this.h,this.d);box.bh=this.bh;box.bd=this.bd;return box;},FlushText:function(){if(',940,'==""){return;}',945,'+=',68,'AddClass(',943,',',940,');',940,'="";',943,'="";},FlushClassed:function(){this.FlushText();if(',945,1079,994,'tx;}',996,68,'AddStyle(',8,',',21,',',945,');',945,'="";},Place',45,'item){var ','html="<span style=\\"position: relative',';";if(item.x){html+=" margin-left:"+',123,'Em(item.x',')+";";}if(item.y){html+=" top:"+',123,'Em(-item.y',')+";";}item',122,'html+"\\">"+','item.html+"</span','>";','item.h+=item.y;item.d-=item.y;item.x=0;item.y=0',';},PlaceSeparateSkips',45,'item){if(item.y){if(','item.html.match','(/^<img[^>]*>(<span style="margin-left: [-0-9.]*em"><\\/span>)?$/i)&&!',1125,'(/top:/)){item',122,'item.html.replace(/style=\\"/,"style=\\"position:relative; top:"+',123,1115,')+";");}else{item.',1109,'; "+"top:"+',123,1115,')+";"+"\\">"+',1119,'>";}}if(item.x){item',122,525,'msieSpaceFix+"<span style=\\"margin-left:"+',123,1112,'-',525,'spaceWidth)+";\\">"+',525,'hiddenSpace+"</span>"+item.html;}',1121,907,'Parse','=function(s,font,size,','_281){var _282=new ','jsMath.Parser','(s,font,size,_281);_282.Parse();return _282;};',1156,1154,'_286){this.string=s;this.i=0;',6,1076,'mList(null,font,size,_286);};jsMath.Package(',1156,',{cmd:"\\\\",open:"{",close:"}",letter:/[a-z]/i,number:/[0-9]/,mathchar:{"!":[5,0,33],"(":[4,0,40],")":[5,0,41],"*":[2,2,3],"+":[2,0,43],",":[6,1,59],"-":[2,2,0],".":[0,1,58],"/":[0,1,61],":":[3,0,58],";":[6,0,59],"<":[3,1,60],"=":[3,0,61],">":[3,1,62],"?":[5,0,63],"[":[4,0,91],"]":[5,0,93],"|":[0,2,106]},special:{"^":"HandleSuperscript","_":"HandleSubscript"," ":"Space","\\t":"Space","\\r":"Space","\\n":"Space","\'":"Prime","%":"HandleComment","&":"HandleEntry"},mathchardef:{braceld:[0,3,122],bracerd:[0,3,123],bracelu:[0,3,124],braceru:[0,3,125],alpha:[0,1,11],beta:[0,1,12],gamma:[0,1,13],delta:[0,1,14],epsilon:[0,1,15],zeta:[0,1,16],eta:[0,1,17],theta:[0,1,18],iota:[0,1,19],kappa:[0,1,20],lambda:[0,1,21],mu:[0,1,22],nu:[0,1,23],xi:[0,1,24],pi:[0,1,25],rho:[0,1,26],sigma:[0,1,27],tau:[0,1,28],upsilon:[0,1,29],phi:[0,1,30],chi:[0,1,31],psi:[0,1,32],omega:[0,1,33],varepsilon:[0,1,34],vartheta:[0,1,35],varpi:[0,1,36],varrho:[0,1,37],varsigma:[0,1,38],varphi:[0,1,39],Gamma:[7,0,0],Delta:[7,0,1],Theta:[7,0,2],Lambda:[7,0,3],Xi:[7,0,4],Pi:[7,0,5],Sigma:[7,0,6],Upsilon:[7,0,7],Phi:[7,0,8],Psi:[7,0,9],Omega:[7,0,10],aleph:[0,2,64],imath:[0,1,123],jmath:[0,1,124],ell:[0,1,96],wp:[0,1,125],Re:[0,2,60],Im:[0,2,61],partial:[0,1,64],infty:[0,2,49],prime:[0,2,48],emptyset:[0,2,59],nabla:[0,2,114],surd:[1,2,112],top:[0,2,62],bot:[0,2,63],triangle:[0,2,52],forall:[0,2,56],exists:[0,2,57],neg:[0,2,58],lnot:[0,2,58],flat:[0,1,91],natural:[0,1,92],sharp:[0,1,93],clubsuit:[0,2,124],diamondsuit:[0,2,125],heartsuit:[0,2,126],spadesuit:[0,2,127],coprod:[1,3,96],bigvee:[1,3,87],bigwedge:[1,3,86],biguplus:[1,3,85],bigcap:[1,3,84],bigcup:[1,3,83],intop:[1,3,82],prod:[1,3,81],sum:[1,3,80],bigotimes:[1,3,78],bigoplus:[1,3,76],bigodot:[1,3,74],ointop:[1,3,72],bigsqcup:[1,3,70],smallint:[1,2,115],triangleleft:[2,1,47],','triangleright',':[2,1,46],bigtriangleup:[2,2,52],bigtriangledown:[2,2,53],wedge:[2,2,94],land:[2,2,94],vee:[2,2,95],lor:[2,2,95],cap:[2,2,92],cup:[2,2,91],ddagger:[2,2,122],dagger:[2,2,121],sqcap:[2,2,117],sqcup:[2,2,116],uplus:[2,2,93],amalg:[2,2,113],diamond:[2,2,5],bullet:[2,2,15],wr:[2,2,111],div:[2,2,4],odot:[2,2,12],oslash:[2,2,11],otimes:[2,2,10],ominus:[2,2,9],oplus:[2,2,8],mp:[2,2,7],pm:[2,2,6],circ:[2,2,14],bigcirc:[2,2,13],setminus:[2,2,110],cdot:[2,2,1],ast:[2,2,3],times:[2,2,2],star:[2,1,63],propto:[3,2,47],sqsubseteq:[3,2,118],sqsupseteq:[3,2,119],parallel:[3,2,107],mid:[3,2,106],dashv:[3,2,97],vdash:[3,2,96],leq:[3,2,20],le:[3,2,20],geq:[3,2,21],ge:[3,2,21],succ:[3,2,31],prec:[3,2,30],approx:[3,2,25],succeq:[3,2,23],preceq:[3,2,22],supset:[3,2,27],subset:[3,2,26],supseteq:[3,2,19],subseteq:[3,2,18],"in":[3,2,50],ni:[3,2,51],owns:[3,2,51],gg:[3,2,29],ll:[3,2,28],not:[3,2,54],sim:[3,2,24],simeq:[3,2,39],perp:[3,2,63],equiv:[3,2,17],asymp:[3,2,16],smile:[3,1,94],frown:[3,1,95],Leftrightarrow:[3,2,44],Leftarrow:[3,2,40],Rightarrow:[3,2,41],leftrightarrow:[3,2,36],leftarrow:[3,2,32],gets:[3,2,32],rightarrow:[3,2,33],to:[3,2,33],mapstochar:[3,2,55],leftharpoonup:[3,1,40],','leftharpoondown',':[3,1,41],rightharpoonup:[3,1,42],rightharpoondown:[3,1,43],nearrow:[3,2,37],searrow:[3,2,38],nwarrow:[3,2,45],swarrow:[3,2,46],hbarchar:[0,0,22],lhook:[3,1,44],rhook:[3,1,45],ldotp:[6,1,58],cdotp:[6,2,1],colon:[6,0,58],"#":[7,0,35],"$":[7,0,36],"%":[7,0,37],"&":[7,0,38]},delimiter:{"(":[0,0,40,3,0],")":[0,0,41,3,1],"[":[0,0,91,3,2],"]":[0,0,93,3,3],"<":[0,2,104,3,10],">":[0,2,105,3,11],"/":[0,0,47,3,14],"|":[0,2,106,3,12],".":[0,0,0,0,0],"\\\\":[','0,2,110,3,15],"\\\\','lmoustache":[4,3,122,3,64],"\\\\rmoustache":[5,3,123,3,65],"\\\\lgroup":[4,6,40,3,58],"\\\\rgroup":[5,6,41,3,59],"\\\\arrowvert','":[0,2,106,3,','60],"\\\\Arrowvert":[0,2,107,3,61],"\\\\bracevert',1172,'62],"\\\\Vert":[0,2,107,3,13],"\\\\|":[0,2,107,3,13],"\\\\vert',1172,'12],"\\\\uparrow":[3,2,34,3,120],"\\\\downarrow":[3,2,35,3,121],"\\\\updownarrow":[3,2,108,3,63],"\\\\Uparrow":[3,2,42,3,126],"\\\\Downarrow":[3,2,43,3,127],"\\\\Updownarrow":[3,2,109,3,119],"\\\\backslash":[',1170,'rangle":[5,2,105,3,11],"\\\\langle":[4,2,104,3,10],"\\\\rbrace":[5,2,103,3,9],"\\\\lbrace":[4,2,102,3,8],"\\\\}":[5,2,103,3,9],"\\\\{":[4,2,102,3,8],"\\\\rceil":[5,2,101,3,7],"\\\\lceil":[4,2,100,3,6],"\\\\rfloor":[5,2,99,3,5],"\\\\lfloor":[4,2,98,3,4]},macros:{displaystyle',':["HandleStyle","','D"],textstyle',1180,'T"],scriptstyle',1180,'S"],scriptscriptstyle',1180,'SS"],rm',':["HandleFont",','0],mit',1188,'1],oldstyle',1188,'1],cal',1188,'2],it',1188,'4],bf',1188,'6],left:"HandleLeft",right:"HandleRight",arcsin',':["NamedOp",0],','arccos',1200,'arctan',1200,'arg',1200,'cos',1200,'cosh',1200,'cot',1200,'coth',1200,'csc',1200,'deg',1200,'det',':"NamedOp",','dim',1200,'exp',1200,'gcd',1220,'hom',1200,'inf',1220,'ker',1200,'lg',1200,'lim',1220,'liminf',':["NamedOp",null,"lim<span style=\\"margin-left: "+1/6+"em\\"></span>','inf"],limsup',1238,'sup"],ln',1200,'log',1200,'max',1220,'min',1220,'Pr',1220,'sec',1200,'sin',1200,'sinh',1200,'sup',1220,'tan',1200,'tanh',1200,276,':["HandleAtom","',276,'"],',297,1264,297,'"],',331,1264,331,'"],over',':"HandleOver",','overwithdelims',1275,'atop',1275,'atopwithdelims',1275,'above',1275,'abovewithdelims',1275,'brace',':["HandleOver','","\\\\{","\\\\}"],brack',1287,'","[","]"],choose',1287,'","(",")"],overbrace',':["Extension","leaders"],','underbrace',1293,'overrightarrow',1293,'overleftarrow',1293,'overset',':["Extension","underset-overset"],','underset',1301,'llap',':"HandleLap",','rlap',1305,'ulap',1305,'dlap',1305,'raise:"RaiseLower",lower:"RaiseLower",moveleft',':"MoveLeftRight",','moveright',1313,'frac:"Frac",root:"Root",sqrt:"Sqrt",hbar',':["Macro","\\\\','hbarchar\\\\kern-.5em h"],ne',1317,'not="],neq',1317,'not="],notin',1317,'mathrel{\\\\','rlap{\\\\kern2mu/}}\\\\in"],cong',1317,1324,'lower2mu{\\\\','mathrel','{{\\\\rlap{=}\\\\raise6mu\\\\sim}}}}"],bmod',1317,'mathbin{\\\\rm mod}"],pmod',1317,'kern 18mu ({\\\\rm mod}\\\\,\\\\,#1)",1],"int":["Macro","\\\\intop\\\\nolimits"],oint',1317,'ointop\\\\nolimits"],doteq',1317,'buildrel\\\\textstyle.\\\\over="],ldots',1317,'mathinner{\\\\','ldotp\\\\ldotp\\\\ldotp}"],cdots',1317,1340,'cdotp\\\\cdotp\\\\cdotp}"],vdots',1317,1340,'rlap{\\\\raise8pt{.\\\\rule 0pt 6pt 0pt}}\\\\rlap{\\\\raise4pt{.}}.}"],ddots',1317,1340,'kern1mu\\\\raise7pt{\\\\rule 0pt 7pt 0pt .}\\\\kern2mu\\\\raise4pt{.}\\\\kern2mu\\\\raise1pt{.}\\\\kern1mu}"],joinrel',1317,1324,'kern-4mu}"],relbar',1317,1324,'smash-}"],','Relbar',1317,1329,'="],bowtie',1317,1329,'\\\\',1166,'\\\\joinrel\\\\',1329,'\\\\triangleleft"],models',1317,1329,'|\\\\joinrel="],mapsto',1317,'mapstochar\\\\','rightarrow"],rightleftharpoons',1317,276,'{\\\\',1324,'rlap{\\\\raise3mu{\\\\rightharpoonup}}}\\\\',1168,'}"],hookrightarrow',1317,'lhook\\\\','joinrel\\\\rightarrow"],','hookleftarrow',1317,'leftarrow\\\\joinrel\\\\','rhook"],Longrightarrow',1317,1357,1365,'Rightarrow"],','longrightarrow',1317,'relbar\\\\',1383,'longleftarrow',1317,1386,'relbar"],Longleftarrow',1317,'Leftarrow\\\\joinrel\\\\',1357,'"],longmapsto',1317,1372,'char{cmsy10}{0}\\\\',1383,'longleftrightarrow',1317,'leftarrow\\\\',1383,'Longleftrightarrow',1317,1401,1391,'iff:["Macro","\\\\;\\\\',1412,'\\\\;"],mathrm',':["Macro","{\\\\','rm #1}",1],mathbf',1419,'bf #1}",1],','mathbb',1419,1422,'mathit',1419,'it #1}",1],TeX:["Macro","T\\\\kern-.1667em\\\\lower.5ex{E}\\\\kern-.125em X"],limits:["Limits",1],nolimits:["Limits",0],",":["Spacer",1/6],":":["Spacer",1/6],">":["Spacer",2/9],";":["Spacer",5/18],"!":["Spacer",-1/6],enspace',':["Spacer",','1/2],quad',1429,'1],qquad',1429,'2],thinspace',1429,'1/6],negthinspace:["Spacer",-1/6],hskip:"Hskip",kern:"Hskip",rule:["Rule","colored"],space:["Rule","blank"],big',':["MakeBig","','ord",0.85],Big',1437,'ord",1.','15],bigg',1437,1440,'45],Bigg',1437,1440,'75],bigl',1437,'open",0.85],Bigl',1437,'open",1.','15],biggl',1437,1451,'45],Biggl',1437,1451,'75],bigr',1437,'close",0.85],Bigr',1437,'close",1.','15],biggr',1437,1462,'45],Biggr',1437,1462,'75],bigm',1437,'rel",0.85],Bigm',1437,'rel",1.','15],biggm',1437,1473,'45],Biggm',1437,1473,'75],mathord',1264,'ord"],mathop',1264,'op"],mathopen',1264,'open"],mathclose',1264,'close"],mathbin',1264,'bin"],',1329,1264,'rel"],mathpunct',1264,219,'"],mathinner',1264,'inner"],','mathchoice',':["Extension","',1499,'"],buildrel:"BuildRel",hbox:"HBox",text:"HBox",mbox:"HBox",fbox',1500,'fbox"],strut:"Strut",mathstrut',1317,'vphantom{(}"],phantom',':["Phantom",','1,1],vphantom',1507,'1,0],hphantom',1507,'0,1],smash:"Smash",acute',':["MathAccent",[7,0,','19]],grave',1513,'18]],ddot',1513,'127]],t'],
  ['ilde',':["MathAccent",[','7,0,','126]],bar',1,2,'22]],breve',1,2,'21]],check',1,2,'20]],hat',1,2,'94]],vec',1,'0,1,126]],dot',1,2,'95]],widetilde',1,'0,3,101]],widehat',1,'0,3,98]],"_":["','Replace","ord','","_","normal",-0.4,0.1]," ":["',25,'","&nbsp;","normal"],angle:["',25,'","&#x2220;","normal"],matrix:"Matrix",array:"Matrix",pmatrix:["Matrix','","(",")","c"],','cases:["Matrix","\\\\{",".",["l","l"]],cr:"','HandleRow','","\\\\":"',33,'",begin:"Begin",end:"End",tiny',':["HandleSize",','0],Tiny',37,'1],scriptsize',37,'2],small',37,'3],normalsize',37,'4],large',37,'5],Large',37,'6],LARGE',37,'7],huge',37,'8],Huge',37,'9],dots:["Macro","\\\\ldots"],color:["','Extension","HTML','"],href:["',57,'"],"class":["',57,'"],style:["',57,'"],unicode:["',57,'"],require:"Require","char":"Char"},','environments',':{array:"Array",matrix',':["Array",null,null,"','c"],pmatrix',':["Array',31,'bmatrix',71,'","[","]","c"],Bmatrix',71,'","\\\\{","\\\\}","c"],vmatrix',71,'","\\\\vert","\\\\vert","c"],Vmatrix',71,'","\\\\Vert","\\\\Vert","c"],cases',71,'","\\\\{",".","ll"],eqnarray',69,'rcl",[5/18,5/18]]},AddSpecial',':function','(obj){','for(var id in obj){','jsMath.Parser.prototype','.special[',89,'[id]]=obj[id];}},Error',86,'(s){this.i','=this.','string.length',';if(s','.error){','this.error','=s.error;}','else{if(!','this',98,99,'=s;}}},nextIsSpace',86,'(){','return ','this.string.charAt(this.i',')==" ";},','Process',86,'(arg','){var ','data=','this.mlist.','data;','arg=jsMath.Parse(arg,','data.font',',','data.size',',data.style);if(arg',98,'this.Error(','arg);','return null',';}if(arg.mlist.Length()==','0){',126,127,'1',114,'atom=','arg.mlist.','Last();if','(atom','.atom&&','atom.type=="ord"&&atom.nuc&&!atom.sub&&!atom.sup&&(','atom.nuc.type=="','text"||',139,'TeX")){',108,'atom.nuc;}}return {type:"mlist",mlist:arg.mlist};},GetCommand',86,'(){var ','_28d=/^([a-z]+|.) ?/i;var cmd=_28d.exec(','this.string.slice(','this.i));if(cmd){','this.i+=','cmd[1].length;',108,'cmd[1];}','this.Error("','Missing',' control sequnece name at end of string or',' argument','");',126,';},','GetArgument',':function(name',',','_290){','while','(this.nextIsSpace()){this.i','++;}','if(this.','i>=this.',96,'){if(!',164,154,155,157,' for "+','name);}',126,';}if(',109,')==this.','close){if','(!',164,154,'Extra close brace','");}',126,179,109,181,'cmd){','this.i++;',108,'this.cmd+','this.GetCommand','();}if(',109,')!=','this.open){',108,109,'++);}var j','=++this.i;var ','_292=1;var c="";',165,'(this.i<this.string.length){','c=',109,'++);','if(c==this.cmd){this.i++;}else{if(c','==',200,'_292++;}','else{if(c==this.',182,'(','_292==0){',154,186,'");',126,';}if(--',218,108,148,'j,this.i-1);}}}}}',154,'Missing close brace','");',126,';},ProcessArg',162,'){','var arg=this.',161,'(','name);','if(this.error){return',' null;}return this.Process(arg);},','GetDelimiter',162,'){',165,166,'++;}var ','c=',109,');if',207,193,'if(c==this.cmd){c="\\\\"+',196,'(',238,239,' null;}}','if(','this.delimiter[','c]!=null){',108,259,'c];}}',154,155,' or unrecognized delimiter',176,238,126,';},','GetDimen',162,',nomu',114,'rest;var _29b=0;if',166,'++;}if(',109,')=="{"){rest',95,161,'(name);}else{rest=',148,'this.i);_29b=1',';}var ','_29c=rest.match(/^\\s*([-+]?(\\.\\d+|\\d+(\\.\\d*)?))(pt|em|ex|mu|px)/);if(!_29c){',154,155,' dimension or its units',176,238,126,179,'_29b){',150,'_29c[0].length;if',166,'++;}}var d=_29c[1]-0;if(_29c[4]=="px"){d/=jsMath.em',';}else{if(_29c[4]=="','pt"){d/=10',299,'ex"){d*=','jsMath.TeX','.x_height',299,'mu"){if(nomu){d=d/18;}else{d=[d,"mu"];}}}}}',108,'d;},GetNext',86,'(){',165,166,'++;}',108,109,');},','GetBrackets',162,114,'c',95,'GetNext();if(c','!="["){return "";}var _2a0',204,'_2a1=0;',165,207,'var c=',109,'++);if(c=="{"){','_2a1','++;}else{if(c=="}"){if(','_2a1==0){',154,186,' while looking for',' \']\'");',126,';}_2a1--;}else{',211,'=="]"){if(',333,108,148,'_2a0,this.i-1);}}}}}}',154,'Couldn\'t find',' closing \']\' for',157,' to "+',195,238,126,';},GetUpto',162,',_2a4){',165,166,246,'_2a5',95,'i;var _2a6=0;',165,207,'var c=',109,330,'_2a6',332,'_2a6==0){',154,186,336,' "+',195,'_2a4);',126,';}_2a6--;}',215,'cmd){if(',148,'this.i,this.i+','5)=="begin"){_2a6++;',150,'4;}else{if(',148,382,'3)=="end"){if(_2a6>0){_2a6--;',150,'2;}}}if(',370,'if(',148,382,'_2a4.length',')==_2a4){c=',109,'+',395,');if(c.match(/[^a-z]/i)||!_2a4.match(/[a-z]/i)){var arg=',148,'_2a5,this.i-1);',150,395,';',108,'arg;}}}this.i++;}}}}',154,347,' "+',195,'_2a4+" for "+',238,126,';},','ProcessUpto',162,',_2aa){',235,'GetUpto(name,_2aa);',239,240,'GetEnd',86,'(env',114,'body="";var name="";',165,'(name!=env){body+=this.GetUpto("begin{"+env+"}","end");',239,' null;}name',95,161,'(this.cmd','+"end");',239,257,108,'body;},Space',86,'(){},','Prime',86,'(c',114,'base=',116,135,'(base==null||(!base',137,'base.type!="','box"&&',451,'frac")){',446,'this.mlist.Add(jsMath.mItem.','Atom("ord",null));}if(base.','sup){',154,'Prime causes double exponent',': use braces to clarify");return;}','var sup="";',165,'(c=="\'"){sup+="\\\\prime";c',95,322,'=="\'"){this.i++;}}','base.sup',95,111,'(sup);},RaiseLower',162,114,'h','=this.GetDimen(this.cmd+name',',1);',239,285,'box','=this.ProcessArg','(this.cmd+name);if(this.error){return',179,'name=="lower"){h=-h;}',116,'Add(new jsMath.mItem("','raise",{nuc:box,raise:h}));},MoveLeftRight',162,114,'x',475,476,239,285,'box',480,481,179,'name=="moveleft"){x=-x;}',456,'Space(x));',456,'Atom("ord",box));',456,'Space(-x));},Require',162,114,'file',95,161,481,';}file=','jsMath.Extension','.URL(file);if(','jsMath.Setup.','loaded[file',']){','return;}','this.Extension(null,[','file]);},Extension',162,',data){','jsMath.Translate','.restart=1;if(name','!=null){','delete ',89,'[data[1]||"macros"][name];}','jsMath.Script.','Start();',512,'.Require(data[0],',522,'.asynchronous',');throw "restart";},Frac',162,114,'num',480,481,285,'den',480,481,';}',456,'Fraction("over",num,den));},Sqrt',162,114,'n',95,317,481,285,'arg',480,481,';}box=jsMath.mItem.Atom("radical",arg);',168,'n!=""){box.root',95,111,'(n);',239,';}}',116,'Add(box);},','Root',162,114,'n',95,416,'(',195,'name,"of");',239,285,'arg',480,481,557,'box.root=n;',116,566,'BuildRel',162,114,'top',95,416,'(',195,'name,"over");',239,285,'bot',480,481,285,'op','=jsMath.mItem.Atom("','op",bot);op.limits=1;op.sup=top;',116,'Add(op);},MakeBig',162,',data){var ','type=data[0];var h=data[1]*jsMath.p_height;var _2cd',95,241,481,';}',456,'Atom(type,','jsMath.Box','.Delimiter(h,_2cd,"T")));},Char',162,114,'font',95,161,481,285,'n',95,161,481,';}if(!',303,'[font]){',303,'[font]=[];',518,'jsMath.Font.URL(font',')]);}else{',456,'Typeset(',614,'.TeX(n-0,font,"T",',116,121,')));}},Matrix',162,',_2d2',114,'data=',116,117,235,161,481,285,'_2d5','=new jsMath.Parser(arg+"\\\\\\\\",null,data.size);','_2d5.matrix=name;_2d5.row=[];_2d5.table=[];_2d5.Parse();if(_2d5',98,124,'_2d5);',517,'_2d5','.HandleRow(name,1);var box=jsMath.Box.Layout(data.size,','_2d5.table,_2d2[2]);if(_2d2[0]&&_2d2[1]){var left','=jsMath.Box.Delimiter(box.h+box.d,this.delimiter[','_2d2[0]],"T");var _2d8',662,'_2d2','[1]],"T");box=jsMath.Box.SetList([left,box,','_2d8],','data.style,data.size',');}',456,'Atom((_2d2','[0]?"inner":"ord"),box));},','HandleEntry',162,'){','if(!this.','matrix){',124,'name+" can only appear in a matrix or array");return;}','if(',116,'data.openI',524,'var open=',116,'Get(',116,682,');if(open','.left){',154,155,' "+this.cmd+"right','");}else{',154,229,'");}}if(',116,'data.overI',524,116,'Over();}var data=',116,117,116,'Atomize','("T",',121,');var box=',116,'Typeset("T",',121,');this.row[','this.row.length',']=box;this.mlist=new jsMath.mList(null,null,',121,');},',33,162,',last){',676,'matrix){',124,195,679,'this.',673,'(',238,'if(!last||',714,'>1||this.row[0].format!="null"){this.table[this.table','.length]=this.','row;}this.row=[];},Array',162,',_2e0',114,'_2e1=_2e0[2];var _2e2=_2e0[3];if(!_2e1){_2e1',95,161,434,'+"begin{"+name+"}");',239,';}}_2e1=_2e1.replace(/[^clr]/g,"");_2e1=_2e1.split("");var data=',116,117,235,423,'(',238,239,285,'_2e5',653,'_2e5.matrix=name;_2e5.row=[];_2e5.table=[];_2e5.Parse();if(_2e5',98,124,'_2e5);',517,'_2e5',660,'_2e5.table,_2e1,_2e2);if(_2e0[0]&&_2e0[1]){var left',662,'_2e0[0]],"T");var _2e8',662,'_2e0',666,'_2e8],',668,');}',456,'Atom((_2e0',672,'Begin',162,114,'env',95,161,481,179,'env.match(/[^a-z*]/i)){',154,'Invalid',' environment',' name',' \\""+env+"\\"");return;}',676,67,'[env]){',154,'Unknown',785,787,'var cmd',95,67,'[env];if(typeof (cmd',')=="string"){','cmd=[cmd];}this[cmd[0]](env,cmd.slice(1));},End',162,114,'env',95,161,481,';}',124,195,'name+"{"+env+"} without matching "+this.cmd+"begin");},Spacer',162,',w){',456,'Space(w-0));},Hskip',162,114,'w',95,271,481,';}',456,'Space(w));},HBox',162,114,'text',95,161,481,';}','var box=jsMath.','Box.InternalMath(text,',116,121,');',456,636,'box));},Rule',162,',_2f6',114,'w',475,476,239,285,'h',475,476,239,285,'d',475,476,239,';}h+=d;var html;if(h!=0){h=Math.max(1.05/jsMath.em,h);}if(h==0||w==0){_2f6="blank";}if(w==0){','html="<img src=\\""+jsMath.blank+"\\" style','=\\""+"','border:0px none','; width:1px; margin-right:-1px; "+"height',':"+jsMath.HTML.Em','(h*','jsMath.Browser.','imgScale)+"\\" />";}else{','if(_2f6=="blank"){',857,'=\\"',859,'; "+"height',861,'(h*',863,'imgScale)+"; "+"','width',861,'(w*',863,864,857,'=\\""+"position: relative; top:1px; height:1px; ',859,'; "+"border-top',861,'(h*',863,'imgScale)+" solid; "+"width',861,'(w*',863,'imgScale)+"\\" />";}}if(d){html','="<span style=\\"','vertical-align',861,'(-d)+"\\">"+html','+"</span>";}',456,636,'new ',614,'("html",html,w,h-d,d)));},Strut',86,146,'size=',116,121,';',831,'Box.Text("","normal","T",size).Styled();box.bh=box.bd=0;box.h=0.8;box.d=0.3;box.w=0;',456,636,'box));},Phantom',162,606,'arg',480,481,';}',116,485,'phantom",{phantom:arg,v:data[0],h:data[1]}));},Smash',162,606,'arg',480,481,';}',116,485,'smash",{smash:arg}));},MathAccent',162,',_304',114,'c',480,481,285,'atom',601,'accent",c);atom.accent=_304[0];',116,'Add(atom);},NamedOp',162,606,'a=(name.match(/[^acegm-su-z]/))?1:0;var d=(name.match(/[gjpqy]/))?1:0;if(data[1]){name=data[1];}',831,'mItem.TextAtom("op",name,"cmr10",a,d);if(data[0]!=null){box.limits=data[0];}',116,566,'Limits',162,606,133,116,135,'(!atom||atom.type!="op"){',124,195,'name+" is allowed only on operators");',517,'atom.limits=data[0];},Macro',162,606,'text=data[0];if(data[1]){var args=[];for(var i=0;i<data[1];i++){args[args',733,161,481,';}}text="";var c;var i','=0;while(i<','data[0].length){','c=data[0].charAt(i++);if(c','=="\\\\"){text+=c+data[0].charAt(i++);}else{if(c=="#"){',970,'=="#"){text+=c;}',101,'c.match(/[1-9]/)||c>args.length){',154,'Illegal macro',157,' reference");',517,'text+=args[c-1];}}else{text+=c;}}}}this.string=text+',148,'this.i);this.i=0;},Replace',162,521,456,'TextAtom(data[0],data[1],data[2],data[3]));},HandleLap',162,114,'box',480,'();',239,';}box=',116,485,'lap",{nuc:box,lap:name}));},HandleAtom',162,606,'arg',480,481,';}',456,'Atom(data,arg));},HandleMathCode',162,',code','){this.HandleTeXchar(','code[0],code[1],code[2]);},HandleTeXchar',86,'(type,font,code){if(type==7&&',116,119,524,'font=',116,119,';}font=',303,'.fam[font];',456,'TeXAtom(',303,'.atom[type],code,font));},','HandleVariable',86,'(c',1008,'7,1,','c.charCodeAt(0));},','HandleNumber',86,'(c',1008,2,1030,'HandleOther',86,'(c){',456,'TextAtom("ord",c,"normal"));},HandleComment',86,146,'c;',165,207,'c=',109,'++);if(c=="\\r"||c=="\\n"){return;}}},HandleStyle',162,',_327){',116,'data.style=_327[0];',116,485,'style",{style:_327[0]}));},HandleSize',162,',size){',116,121,'=size[0];',116,485,'size",{size:size[0]}));},HandleFont',162,',font){',116,119,'=font[0];},HandleCS',86,146,'cmd=',196,'();',239,179,'this.macros[cmd]){var _32d',95,'macros[cmd];if(typeof (_32d',799,'_32d=[_32d];}this[_32d[0]](cmd,_32d.slice(1));return',179,'this.mathchardef[cmd',']){this.HandleMathCode(','cmd,',1083,']);return',179,259,195,'cmd',1084,'cmd,',259,195,'cmd].slice(0,3));',517,154,'Unknown control sequence \'"+',195,'cmd+"\'");},HandleOpen',86,'(){',116,'Open();},HandleClose',86,'(){if(',116,682,'==null){',154,186,'");',517,'var open=',116,'Get(',116,682,');if(!open||','open.left',1110,116,'Close();}else{',154,186,' or missing',693,'");return;}},HandleLeft',162,114,'left',95,241,481,';}',116,'Open(left);},HandleRight',162,114,'_332',95,241,481,285,'open=',116,'Get(',116,682,689,'&&',1121,524,116,'Close(_332);}else{',154,'Extra open brace or missing "+this.cmd+"left");}},HandleOver',162,521,'if(',116,699,524,154,'Ambiguous use of "+',195,238,517,116,699,'=',116,'Length();',116,'data.overF={name:name};if(data.length>0){',116,'data.overF.','left=',259,'data[0]];',116,1178,'right=',259,'data[1]];}else{if(name.match(/withdelims$/)){',116,1178,'left',95,241,481,';}',116,1178,'right',95,241,481,';}}else{',116,1178,'left=null;',116,1178,1184,'null;}}if(name.match(/^above/)){',116,1178,'thickness',95,271,434,'.name',476,239,';}}else{',116,1178,'thickness=null;}},HandleSuperscript',86,146,446,116,135,'(base==null||(!base',137,451,'box"&&',451,'frac")){',446,456,457,'sup){',154,'Double exponent',461,468,480,'("superscript");',239,';}},HandleSubscript',86,146,446,116,135,'(base==null||(!base',137,451,'box"&&',451,'frac")){',446,456,457,'sub){',154,'Double subscripts',461,'base.sub',480,'("subscript");',239,';}},Parse',86,146,'c;',165,207,'c=',109,'++);',168,'mathchar[c',1084,'c,this.',1276,']);}else{',168,'special[c]){this[this',90,'c]](c);}else{',168,'letter','.test(c)){this.',1025,'(c);}else{',168,'number',1287,1031,1289,'this.',1037,'(c);}}}}}if(',116,682,524,'var open=',116,'Get(',116,682,689,'.left){',154,155,693,694,154,229,'");}}if(',116,699,524,116,'Over();}},',706,86,146,'data=',116,'init;if(!this',98,116,706,'(',668,');}},Typeset',86,146,'data=',116,'init;var box',95,'typeset=',116,636,668,');',239,' "<span class=\\"error\\">"+',99,895,'if(box.format=="null"){return "";}box.Styled().Remeasured();var _33d=0;var _33e=0;if(box.bh>box.h&&box.bh>jsMath.h','+0.001){_33d=1;}if(box.','bd>box.d&&box.bd>jsMath.d',1348,'h>jsMath.h||box.d>jsMath.d){_33e=1',285,'html=box.html;if(_33d){if(',863,'allowAbsolute',114,'y=0;if(box.bh>jsMath.h+0.001){y=jsMath.h-box.bh;}html=jsMath.HTML.Absolute(html,box.w,jsMath.h,0,y,jsMath.h);}',101,863,'valignBug',114,'dy=jsMath.HTML.Em(Math.max(0,box.bd-jsMath.hd)/3);html',891,'line-height: 0px;"+" position:relative; top:"+dy+"; vertical-align:"+dy+"\\">"+html+"</span>";}}_33e=1',179,'_33e){html+="<img src=\\""+jsMath.blank+"\\" class=\\"HD\\" style=\\""+"height',861,'((box.h+box.d+0.1)*',863,873,'vertical-align',861,'(-box.d-0.05)+";\\" />";}return "<nobr><span class=\\"scale\\">"+html+"</span></nobr>";}});',89,'.AddSpecial({cmd:"HandleCS",open:"HandleOpen",close:"HandleClose"});','jsMath.Add(jsMath,{','Macro',162,114,'_343=',89,'.macros;','_343[name]=["Macro"];for(var i=1;i<arguments.length;i++){_343[name][_343[name].length]=arguments[i];}}});',512,'={safeRequire:1,Macro',162,',file',114,'_347=',89,1382,'_347[name',']=["Extension",','file];},LaTeX',86,'(env,file',114,'_34a=',89,'.',67,';_34a[env',1393,'file,"',67,'"];},Font',162,1066,'if(font',1110,'font=name+"10";}var _34d=',89,1382,'_34d[name',1393,633,')];},Require',86,'(file,show){',168,'safeRequire&&file.match(/\\.\\.\\/|[^-a-z0-9.\\/_+=]/i)){',514,515,']=1;',517,514,'Script(this.URL(file),show);},URL',86,'(file){file=file.replace(/^\\s+|\\s+$/g,"");if(!file.match(/^([a-z]+:|\\/|fonts|extensions\\/)/i)){file="extensions/"+file;}if(!file.match(/\\.js$/)){file+=".js";}',108,'file;}};',1376,111,86,87,514,'Body();',528,'Push(',522,',"','Asynchronous','",obj);},ProcessBeforeShowing',86,87,514,1437,'var _353=(','jsMath.Controls.cookie.','asynch?"',1442,'":"','Synchronous','");',528,1439,522,',_353,obj);}});',522,'={element:[],cancel:0,TextMode',86,'(s',114,'_355','=jsMath.Parse(s,null,null,"','T");_355','.Atomize();var html=','_355.Typeset();',108,'html;},','DisplayMode',86,'(s',114,'_358',1465,'D");_358',1467,'_358.Typeset();',108,1470,'GetElementText',86,'(_35a',114,'text=_35a.innerText;','if(text==null||text==""){','try{text=_35a.textContent;}catch(err){}',1487,'text=_35a','.innerHTML',';}}if(text.search("&")>=0){','text=text.replace(/&','lt;/g,"<");',1493,'gt;/g,">");',1493,'quot;/g,"\\"");',1493,'amp;/g,"&");}',108,'text;},ResetHidden',86,'(_35c){_35c',1491,891,'visibility: hidden; position:absolute; top:0px;left:0px;\\"></span>"+',863,'operaHiddenFix;_35c.className="";','jsMath.hidden','=_35c.firstChild;if(!jsMath.BBoxFor("x").w){','jsMath.hidden=jsMath.hiddenTop',';}jsMath.','ReInit();},ConvertText',86,'(_35d','){var text=this.GetElementText(','_35d',');this.ResetHidden(','_35d);_35d.alt=text;_35d',1491,95,'TextMode(text);_35d','.className="typeset";},','ConvertDisplay',86,'(_35f',1517,'_35f',1519,'_35f);_35f.alt=text;_35f',1491,95,1471,'(text);_35f',1524,'ProcessElement',86,'(_361){this.restart=0;try','{if(_361.tagName.toLowerCase()=="','div"){this.',1525,'(_361);}else',1540,'span"){this.ConvertText(_361);if(','_361.parentNode.','className=="jsMath.recenter"){',1546,'style.marginLeft=Math.floor((',1546,'offsetWidth-_361.offsetWidth)/2)+"px";}}}_361.onclick=jsMath.Click.CheckClick;_361.ondblclick=jsMath.Click.CheckDblClick;}catch(err){if(_361.alt){_361',1491,'=_361.alt;}',1512,';}},','ProcessElements',86,'(k){',528,'blocking=','1;if(k>=','this.element.length','||this.cancel){this.','ProcessComplete','();',168,'cancel){','jsMath.Message.','Set("',111,' Math: Canceled");',1568,'Clear();}',528,1560,'0;',528,111,'();}else{','this.ProcessElement(this.element[','k]);',168,'restart){',528,1439,'this,"',1556,'",k);',528,1560,'0;setTimeout("',528,111,'()",',863,'delay);}else{k++;var p=Math.floor(100*k/',1562,');','jsMath.Message.Set("Processing Math',': "+p+"%");setTimeout("',522,'.',1556,'("+k+")",',863,'delay);}}},',1442,86,'(obj','){if(!jsMath.initialized){jsMath.Init();}this.element=this.GetMathElements(obj);','this.cancel=0;this',533,'=1;',528,1560,'1;',1599,': 0%",1);setTimeout("',522,'.',1556,'(0)",',863,'delay);},',1453,86,'(obj,i){if(i==null',1610,'i=0;}this',533,968,1562,'){',1580,'i]);',168,'restart){','jsMath.Synchronize','("',522,'.',1453,'(null,"+i+")");',528,111,'();',517,'i++;}this.',1564,'(1);},GetMathElements',86,'(obj',114,'_368=[];if(!obj){obj=','jsMath.document',179,'typeof (obj',799,'obj=',1655,'.getElementById(obj);}if(!','obj.getElementsByTagName','){',126,285,'math=',1662,'("div','");for(var k=0;k<math.length;k++){if(math[k].className=="math"){if(jsMath.Browser.renameOK&&obj.getElementsByName){math[k].setAttribute("name","_jsMath_");}else{_368[_368.length]=math[k];}}}','math=',1662,'("span',1669,'if(',863,'renameOK','&&obj','.getElementsByName','){_368=obj',1678,'("_jsMath_',694,'if(',1510,'.sourceIndex','){_368.sort(function(a,b){',108,'a',1685,'-b',1685,';});}}',108,'_368;},',1564,86,'(_36e){if(',863,1676,114,'_36f=',1655,1678,1681,'");for(var i=_36f.length-1;i>=0;i--){_36f[i].removeAttribute("name");}}',1512,';this.element=[];if(!_36e){',1599,': Done");',1568,'Clear();}',1568,'UnBlank();if(',863,'safariImgBug&&(',1449,'font=="symbol"||',1449,'font=="image")){setTimeout("','jsMath.window.resizeBy','(-1,0); ',1720,'(1,0);",2000);}},Cancel',86,'(){',522,'.cancel=1;if(',528,'cancelTimer){',528,'cancelLoad();}}};',1376,'ConvertTeX',86,'(_371){',528,'Push(jsMath.tex2math,"',1733,'",_371);},','ConvertTeX2',86,'(_372){',528,1737,1740,'",_372);},','ConvertLaTeX',86,'(_373){',528,1737,1747,'",_373);},','ConvertCustom',86,'(_374){',528,1737,1754,'",_374);},','CustomSearch',86,'(om,cm,od,cd','){',528,1439,'null,function(){jsMath.tex2math.',1761,1763,');});},tex2math:{',1733,86,441,1740,86,441,1747,86,441,1754,86,441,1761,86,'(){}}});',1638,'=',528,'Synchronize;if(','window.parent','!=window){',1790,'.jsMath=jsMath;',1655,'=',1790,'.document;jsMath.window=',1790,1513,'Loaded();jsMath.Controls.GetCookie();',514,'Source();',528,'Init();',514,'Fonts();if(',1655,'.body){jsMath.Setup.Body();}}}']
]);
//end = new Date().getTime();
//alert(end-start);
